/dts-v1/;

/ {

	fragment@0 {
		target = <0xffffffff>;

		__overlay__ {
			atag,videolfb-fb_base_h = <0x00>;
			atag,videolfb-fb_base_l = "^`P";
			atag,videolfb-islcmfound = <0x01>;
			atag,videolfb-islcm_inited = <0x00>;
			atag,videolfb-fps = <0x1770>;
			atag,videolfb-vramSize = <0x17bb000>;
			atag,videolfb-lcmname = "nt35695B_fhd_dsi_cmd_auo_rt5081_drv";
		};
	};

	fragment@1 {
		target = <0xffffffff>;

		__overlay__ {

			led@0 {
				compatible = "mediatek,red";
				led_mode = <0x03>;
				data = <0x01>;
				pwm_config = <0x00 0x00 0x00 0x00 0x00>;
				linux,phandle = <0x54>;
				phandle = <0x54>;
			};

			led@1 {
				compatible = "mediatek,green";
				led_mode = <0x03>;
				data = <0x02>;
				pwm_config = <0x00 0x00 0x00 0x00 0x00>;
				linux,phandle = <0x55>;
				phandle = <0x55>;
			};

			led@2 {
				compatible = "mediatek,blue";
				led_mode = <0x00>;
				data = <0x01>;
				pwm_config = <0x00 0x00 0x00 0x00 0x00>;
				linux,phandle = <0x56>;
				phandle = <0x56>;
			};

			led@3 {
				compatible = "mediatek,jogball-backlight";
				led_mode = <0x00>;
				data = <0x01>;
				pwm_config = <0x00 0x00 0x00 0x00 0x00>;
				linux,phandle = <0x57>;
				phandle = <0x57>;
			};

			led@4 {
				compatible = "mediatek,keyboard-backlight";
				led_mode = <0x00>;
				data = <0x01>;
				pwm_config = <0x00 0x00 0x00 0x00 0x00>;
				linux,phandle = <0x58>;
				phandle = <0x58>;
			};

			led@5 {
				compatible = "mediatek,button-backlight";
				led_mode = <0x00>;
				data = <0x01>;
				pwm_config = <0x00 0x00 0x00 0x00 0x00>;
				linux,phandle = <0x59>;
				phandle = <0x59>;
			};

			led@6 {
				compatible = "mediatek,lcd-backlight";
				led_mode = <0x04>;
				data = <0x01>;
				pwm_config = <0x00 0x02 0x00 0x00 0x00>;
				linux,phandle = <0x5a>;
				phandle = <0x5a>;
			};

			vibrator@0 {
				compatible = "mediatek,vibrator";
				vib_timer = <0x19>;
				vib_limit = <0x09>;
				vib_vol = <0x0b>;
				linux,phandle = <0x5b>;
				phandle = <0x5b>;
			};
		};
	};

	fragment@2 {
		target = <0xffffffff>;

		__overlay__ {

			ext_buck_lp4@57 {
				regulator-name = "ext_buck_vdd2";
				regulator-min-microvolt = <0x493e0>;
				regulator-max-microvolt = <0x13d620>;
				vsel_pin = <0x00>;
			};

			ext_buck_lp4x@50 {
				regulator-name = "ext_buck_vddq";
				regulator-min-microvolt = <0x493e0>;
				regulator-max-microvolt = <0x13d620>;
				vsel_pin = <0x01>;
			};
		};
	};

	fragment@3 {
		target = <0xffffffff>;

		__overlay__ {

			ext_buck_vgpu@55 {
				regulator-name = "ext_buck_vgpu";
				regulator-min-microvolt = <0x493e0>;
				regulator-max-microvolt = <0x13d620>;
				vsel_pin = <0x02>;
			};
		};
	};

	fragment@4 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			focaltech_touch@38 {
				compatible = "mediatek,focaltech_touch";
				reg = <0x38>;
				status = "okay";
				linux,phandle = <0x5c>;
				phandle = <0x5c>;
			};

			ilitek_touch@41 {
				compatible = "mediatek,ilitek_touch";
				reg = <0x41>;
				status = "okay";
				linux,phandle = <0x5d>;
				phandle = <0x5d>;
			};

			ili9881x_touch@42 {
				compatible = "mediatek,ili9881x_touch";
				reg = <0x42>;
				status = "okay";
				linux,phandle = <0x5e>;
				phandle = <0x5e>;
			};

			chipone_touch@48 {
				compatible = "mediatek,chipone_tddi";
				reg = <0x48>;
				status = "okay";
				linux,phandle = <0x5f>;
				phandle = <0x5f>;
			};
		};
	};

	fragment@5 {
		target = <0xffffffff>;

		__overlay__ {
			tpd-resolution = <0x2d0 0x618>;
			use-tpd-button = <0x00>;
			tpd-key-num = <0x03>;
			tpd-key-local = <0x8b 0xac 0x9e 0x00>;
			tpd-key-dim-local = <0x5a 0x373 0x64 0x28 0xe6 0x373 0x64 0x28 0x172 0x373 0x64 0x28 0x00 0x00 0x00 0x00>;
			tpd-max-touch-num = <0x0a>;
			tpd-filter-enable = <0x01>;
			tpd-filter-pixel-density = <0x6a>;
			tpd-filter-custom-prameters = <0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00>;
			tpd-filter-custom-speed = <0x00 0x00 0x00>;
			pinctrl-names = "default\0state_eint_as_int\0state_eint_output0\0state_eint_output1\0state_rst_output0\0state_rst_output1";
			pinctrl-0 = <0x01>;
			pinctrl-1 = <0x02>;
			pinctrl-2 = <0x03>;
			pinctrl-3 = <0x04>;
			pinctrl-4 = <0x05>;
			pinctrl-5 = <0x06>;
			status = "okay";
		};
	};

	fragment@6 {
		target = <0xffffffff>;

		__overlay__ {

			eint0default {
				linux,phandle = <0x01>;
				phandle = <0x01>;
			};

			eint@0 {
				linux,phandle = <0x02>;
				phandle = <0x02>;

				pins_cmd_dat {
					pinmux = <0x00>;
					slew-rate = <0x00>;
					bias-disable;
				};
			};

			eintoutput0 {
				linux,phandle = <0x03>;
				phandle = <0x03>;

				pins_cmd_dat {
					pinmux = <0x00>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			eintoutput1 {
				linux,phandle = <0x04>;
				phandle = <0x04>;

				pins_cmd_dat {
					pinmux = <0x00>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			rstoutput0 {
				linux,phandle = <0x05>;
				phandle = <0x05>;

				pins_cmd_dat {
					pinmux = <0xae00>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			rstoutput1 {
				linux,phandle = <0x06>;
				phandle = <0x06>;

				pins_cmd_dat {
					pinmux = <0xae00>;
					slew-rate = <0x01>;
					output-high;
				};
			};
		};
	};

	fragment@7 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;

			lcd_i2c_bias_enn_enp@3e {
				compatible = "mediatek,I2C_LCD_BIAS";
				reg = <0x3e>;
				status = "okay";
			};
		};
	};

	fragment@8 {
		target = <0xffffffff>;

		__overlay__ {

			mode_te_gpio {
				linux,phandle = <0x07>;
				phandle = <0x07>;

				pins_cmd_dat {
					pinmux = <0x2c01>;
				};
			};

			mode_te_te {
				linux,phandle = <0x08>;
				phandle = <0x08>;

				pins_cmd_dat {
					pinmux = <0x2c01>;
				};
			};

			lcm_rst_out0_gpio {
				linux,phandle = <0x09>;
				phandle = <0x09>;

				pins_cmd_dat {
					pinmux = <0x2d00>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			lcm_rst_out1_gpio {
				linux,phandle = <0x0a>;
				phandle = <0x0a>;

				pins_cmd_dat {
					pinmux = <0x2d00>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			lcd_bias_enp0_gpio {
				linux,phandle = <0x0b>;
				phandle = <0x0b>;

				pins_cmd_dat {
					pinmux = <0xac00>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			lcd_bias_enp1_gpio {
				linux,phandle = <0x0c>;
				phandle = <0x0c>;

				pins_cmd_dat {
					pinmux = <0xac00>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			lcd_bias_enn0_gpio {
				linux,phandle = <0x0d>;
				phandle = <0x0d>;

				pins_cmd_dat {
					pinmux = <0xad00>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			lcd_bias_enn1_gpio {
				linux,phandle = <0x0e>;
				phandle = <0x0e>;

				pins_cmd_dat {
					pinmux = <0xad00>;
					slew-rate = <0x01>;
					output-high;
				};
			};
		};
	};

	fragment@9 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-names = "mode_te_gpio\0mode_te_te\0lcm_rst_out0_gpio\0lcm_rst_out1_gpio\0lcd_bias_enp0_gpio\0lcd_bias_enp1_gpio\0lcd_bias_enn0_gpio\0lcd_bias_enn1_gpio";
			pinctrl-0 = <0x07>;
			pinctrl-1 = <0x08>;
			pinctrl-2 = <0x09>;
			pinctrl-3 = <0x0a>;
			pinctrl-4 = <0x0b>;
			pinctrl-5 = <0x0c>;
			pinctrl-6 = <0x0d>;
			pinctrl-7 = <0x0e>;
			status = "okay";
		};
	};

	fragment@10 {
		target = <0xffffffff>;

		__overlay__ {

			consys_default {
				linux,phandle = <0x0f>;
				phandle = <0x0f>;
			};

			gpslna@0 {
				linux,phandle = <0x10>;
				phandle = <0x10>;

				pins_cmd_dat {
					pinmux = <0x5b00>;
					slew-rate = <0x00>;
					bias-disable;
					output-low;
				};
			};

			gpslna@1 {
				linux,phandle = <0x11>;
				phandle = <0x11>;

				pins_cmd_dat {
					pinmux = <0x5b00>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			gpslna@2 {
				linux,phandle = <0x12>;
				phandle = <0x12>;

				pins_cmd_dat {
					pinmux = <0x5b00>;
					slew-rate = <0x01>;
					output-low;
				};
			};
		};
	};

	fragment@11 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-names = "default\0gps_lna_state_init\0gps_lna_state_oh\0gps_lna_state_ol";
			pinctrl-0 = <0x0f>;
			pinctrl-1 = <0x10>;
			pinctrl-2 = <0x11>;
			pinctrl-3 = <0x12>;
			status = "okay";
		};
	};

	fragment@12 {
		target = <0xffffffff>;

		__overlay__ {
			accdet-mic-vol = <0x06>;
			headset-mode-setting = <0x500 0x500 0x01 0x1f0 0x800 0x800 0x20 0x44>;
			accdet-plugout-debounce = <0x01>;
			accdet-mic-mode = <0x01>;
			headset-eint-level-pol = <0x08>;
			headset-three-key-threshold = <0x00 0x50 0xaf 0x190>;
			headset-three-key-threshold-CDD = <0x00 0x79 0xc0 0x258>;
			headset-four-key-threshold = <0x00 0x3a 0x79 0xc0 0x190>;
			pinctrl-names = "default\0state_eint_as_int";
			pinctrl-0 = <0x13>;
			pinctrl-1 = <0x14>;
			status = "okay";
		};
	};

	fragment@13 {
		target = <0xffffffff>;

		__overlay__ {

			accdetdefault {
				linux,phandle = <0x13>;
				phandle = <0x13>;
			};

			accdeteint@0 {
				linux,phandle = <0x14>;
				phandle = <0x14>;

				pins_cmd_dat {
					pinmux = <0x900>;
					slew-rate = <0x00>;
					bias-disable;
				};
			};
		};
	};

	fragment@14 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-names = "default\0red_led_output0\0red_led_output1";
			pinctrl-0 = <0x15>;
			pinctrl-1 = <0x16>;
			pinctrl-2 = <0x17>;
			status = "okay";
		};
	};

	fragment@15 {
		target = <0xffffffff>;

		__overlay__ {

			led_default {
				linux,phandle = <0x15>;
				phandle = <0x15>;
			};

			led_output0 {
				linux,phandle = <0x16>;
				phandle = <0x16>;

				pins_cmd_dat {
					pinmux = <0x9f00>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			led_output1 {
				linux,phandle = <0x17>;
				phandle = <0x17>;

				pins_cmd_dat {
					pinmux = <0x9f00>;
					slew-rate = <0x01>;
					output-high;
				};
			};
		};
	};

	fragment@16 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;

			fingerprint@0 {
				compatible = "goodix,goodix-fp";
				reg = <0x00>;
				spi-max-frequency = <0x7a1200>;
				netlink-event = <0x1e>;
				status = "okay";
			};
		};
	};

	fragment@17 {
		target = <0xffffffff>;

		__overlay__ {

			fpsensor_spi_default {
				linux,phandle = <0x18>;
				phandle = <0x18>;
			};

			fpsensor_spi_cs_low {
				linux,phandle = <0x19>;
				phandle = <0x19>;

				pins_cmd_dat {
					pinmux = <0x1a01>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			fpsensor_spi_cs_high {
				linux,phandle = <0x1a>;
				phandle = <0x1a>;

				pins_cmd_dat {
					pinmux = <0x1a01>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			fpsensor_spi_mi_low {
				linux,phandle = <0x1b>;
				phandle = <0x1b>;

				pins_cmd_dat {
					pinmux = <0x1901>;
					slew-rate = <0x00>;
					bias-pull-up = <0x00>;
				};
			};

			fpsensor_spi_mi_high {
				linux,phandle = <0x1c>;
				phandle = <0x1c>;

				pins_cmd_dat {
					pinmux = <0x1901>;
					bias-disable;
				};
			};

			fpsensor_spi_mo_low {
				linux,phandle = <0x1d>;
				phandle = <0x1d>;

				pins_cmd_dat {
					pinmux = <0x1b01>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			fpsensor_spi_mo_high {
				linux,phandle = <0x1e>;
				phandle = <0x1e>;

				pins_cmd_dat {
					pinmux = <0x1b01>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			fpsensor_spi_mclk_low {
				linux,phandle = <0x1f>;
				phandle = <0x1f>;

				pins_cmd_dat {
					pinmux = <0x1c01>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			fpsensor_spi_mclk_high {
				linux,phandle = <0x20>;
				phandle = <0x20>;

				pins_cmd_dat {
					pinmux = <0x1c01>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			fpsensor_finger_rst_low {
				linux,phandle = <0x21>;
				phandle = <0x21>;

				pins_cmd_dat {
					pinmux = <0x1600>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			fpsensor_finger_rst_high {
				linux,phandle = <0x22>;
				phandle = <0x22>;

				pins_cmd_dat {
					pinmux = <0x1600>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			fpsensor_finger_power_low {
				linux,phandle = <0x23>;
				phandle = <0x23>;
			};

			fpsensor_finger_power_high {
				linux,phandle = <0x24>;
				phandle = <0x24>;
			};

			fpsensor_eint_as_int {
				linux,phandle = <0x25>;
				phandle = <0x25>;

				pins_cmd_dat {
					pinmux = <0x500>;
					slew-rate = <0x00>;
					bias-pull-down = <0x00>;
				};
			};

			fpsensor_eint_in_low {
				linux,phandle = <0x26>;
				phandle = <0x26>;

				pins_cmd_dat {
					pinmux = <0x500>;
					slew-rate = <0x00>;
					bias-pull-down = <0x00>;
				};
			};

			fpsensor_eint_in_float {
				linux,phandle = <0x27>;
				phandle = <0x27>;

				pins_cmd_dat {
					pinmux = <0x500>;
					slew-rate = <0x00>;
					bias-disable;
				};
			};

			fpsensor_finger_cs_low {
				linux,phandle = <0x28>;
				phandle = <0x28>;

				pins_cmd_dat {
					pinmux = <0x1a01>;
					slew-rate = <0x01>;
					output-low;
					input-schmitt-enable = <0x00>;
				};
			};

			fpsensor_finger_cs_high {
				linux,phandle = <0x29>;
				phandle = <0x29>;

				pins_cmd_dat {
					pinmux = <0x1a01>;
					slew-rate = <0x01>;
					output-high;
					input-schmitt-enable = <0x00>;
				};
			};
		};
	};

	fragment@18 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-names = "fpsensor_spi_default\0fpsensor_spi_cs_low\0fpsensor_spi_cs_high\0fpsensor_spi_mi_low\0fpsensor_spi_mi_high\0fpsensor_spi_mo_low\0fpsensor_spi_mo_high\0fpsensor_spi_mclk_low\0fpsensor_spi_mclk_high\0fpsensor_finger_rst_low\0fpsensor_finger_rst_high\0fpsensor_finger_power_low\0fpsensor_finger_power_high\0fpsensor_eint_as_int\0fpsensor_eint_in_low\0fpsensor_eint_in_float\0fpsensor_finger_cs_low\0fpsensor_finger_cs_high";
			pinctrl-0 = <0x18>;
			pinctrl-1 = <0x19>;
			pinctrl-2 = <0x1a>;
			pinctrl-3 = <0x1b>;
			pinctrl-4 = <0x1c>;
			pinctrl-5 = <0x1d>;
			pinctrl-6 = <0x1e>;
			pinctrl-7 = <0x1f>;
			pinctrl-8 = <0x20>;
			pinctrl-9 = <0x21>;
			pinctrl-10 = <0x22>;
			pinctrl-11 = <0x23>;
			pinctrl-12 = <0x24>;
			pinctrl-13 = <0x25>;
			pinctrl-14 = <0x26>;
			pinctrl-15 = <0x27>;
			pinctrl-16 = <0x28>;
			pinctrl-17 = <0x29>;
			status = "okay";
		};
	};

	fragment@19 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-names = "irtx_gpio_led_default\0irtx_gpio_led_set";
			pinctrl-0 = <0x2a>;
			pinctrl-1 = <0x2b>;
			status = "okay";
		};
	};

	fragment@20 {
		target = <0xffffffff>;

		__overlay__ {

			irtx_gpio_led_def@gpio90 {
				linux,phandle = <0x2a>;
				phandle = <0x2a>;

				pins_cmd_dat {
					pinmux = <0x5a00>;
					slew-rate = <0x01>;
					bias-disable;
					output-low;
					input-schmitt-enable = <0x00>;
				};
			};

			irtx_gpio_led_set@gpio90 {
				linux,phandle = <0x2b>;
				phandle = <0x2b>;

				pins_cmd_dat {
					pinmux = <0x5a02>;
					slew-rate = <0x01>;
					output-high;
				};
			};
		};
	};

	fragment@21 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-names = "extamp-pulllow\0extamp-pullhigh";
			pinctrl-0 = <0x2c>;
			pinctrl-1 = <0x2d>;
			status = "okay";
		};
	};

	fragment@22 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;

			externel-charger@6c {
				compatible = "halo,hl7007";
				reg = <0x6c>;
				status = "okay";
			};

			externel-eta-charger@6e {
				compatible = "ontim,eta6937";
				reg = <0x6e>;
				status = "okay";
			};

			externel-charger@6a {
				compatible = "halo,hl7005";
				reg = <0x6a>;
				status = "okay";
				ichg = <0x100590>;
			};

			externel-charger@6d {
				compatible = "halo,sy6923";
				reg = <0x6d>;
				status = "okay";
				ichg = <0x100590>;
			};

			externel-charger@6b {
				compatible = "ti,bq25601";
				reg = <0x6b>;
				status = "okay";
			};

			externel-charger@53 {
				compatible = "richtek,rt9471";
				reg = <0x53>;
				status = "okay";
				ichg = <0x1e8480>;
			};
		};
	};

	fragment@23 {
		target = <0xffffffff>;

		__overlay__ {

			aud_extamp_gpio_low {
				linux,phandle = <0x2c>;
				phandle = <0x2c>;

				pins_gpio_low {
					pinmux = <0x9900>;
					out-enable;
					slew-rate = <0x02>;
					bias-disable;
					output-low;
				};
			};

			aud_extamp_gpio_high {
				linux,phandle = <0x2d>;
				phandle = <0x2d>;

				pins_gpio_high {
					pinmux = <0x9900>;
					out-enable;
					slew-rate = <0x02>;
					bias-disable;
					output-high;
				};
			};
		};
	};

	fragment@24 {
		target = <0xffffffff>;

		__overlay__ {
			mt6370,intr_gpio_num = <0x0b>;
			mt6370,intr_gpio = <0xffffffff 0x0b 0x00>;
		};
	};

	fragment@25 {
		target = <0xffffffff>;

		__overlay__ {
			mt6370pd,intr_gpio_num = <0x29>;
			mt6370pd,intr_gpio = <0xffffffff 0x29 0x00>;
		};
	};

	fragment@26 {
		target = <0xffffffff>;

		__overlay__ {
			u2_vrt_ref = <0x07>;
			u2_term_ref = <0x06>;
			u2_host_vrt_ref = <0x04>;
			u2_host_term_ref = <0x04>;
			status = "okay";
		};
	};

	fragment@27 {
		target = <0xffffffff>;

		__overlay__ {
			battery_cv = <0x432380>;
			jeita_temp_above_t4_cv = <0x401640>;
			jeita_temp_t3_to_t4_cv = <0x401640>;
			jeita_temp_t2_to_t3_cv = <0x432380>;
			jeita_temp_t1_to_t2_cv = <0x432380>;
			jeita_temp_t0_to_t1_cv = <0x432380>;
			jeita_temp_below_t0_cv = <0x401640>;
			temp_t4_thres = <0x37>;
			temp_t4_thres_minus_x_degree = <0x34>;
			temp_t3_thres = <0x2d>;
			temp_t3_thres_minus_x_degree = <0x27>;
			temp_t2_thres = <0x0f>;
			temp_t2_thres_plus_x_degree = <0x12>;
			temp_t1_thres = <0x0f>;
			temp_t1_thres_plus_x_degree = <0x12>;
			temp_t0_thres = <0x00>;
			temp_t0_thres_plus_x_degree = <0x02>;
			temp_neg_10_thres = <0x00>;
			enable_min_charge_temp;
			min_charge_temp = <0x00>;
			min_charge_temp_plus_x_degree = <0x02>;
			max_charge_temp = <0x37>;
			max_charge_temp_minus_x_degree = <0x34>;
			ac_charger_current = <0x1f47d0>;
		};
	};

	fragment@28 {
		target = <0xffffffff>;

		__overlay__ {
			TEMPERATURE_T0 = <0x32>;
			TEMPERATURE_T1 = <0x19>;
			TEMPERATURE_T2 = <0x00>;
			TEMPERATURE_T3 = <0xfffffff6>;
			g_FG_PSEUDO100_T0 = <0x61>;
			g_FG_PSEUDO100_T1 = <0x61>;
			g_FG_PSEUDO100_T2 = <0x5f>;
			g_FG_PSEUDO100_T3 = <0x5a>;
		};
	};

	fragment@29 {
		target = <0xffffffff>;

		__overlay__ {
			battery_total_number = <0x02>;
			battery0_name = "JK50-SB18C28957-5000mah";
			battery0_profile_t0_num = <0x64>;
			battery0_profile_t0 = <0x00 0xaad2 0x406 0x1f1 0xaa47 0x406 0x3e3 0xa9bb 0x3fc 0x5d4 0xa944 0x41a 0x7c5 0xa8c3 0x41a 0x9b6 0xa84b 0x41a 0xba8 0xa7d4 0x41a 0xd99 0xa753 0x41a 0xf8a 0xa6d2 0x3fd 0x117c 0xa663 0x435 0x136d 0xa5e3 0x41c 0x155e 0xa56b 0x41a 0x1750 0xa4f4 0x436 0x1941 0xa47d 0x41c 0x1b32 0xa405 0x436 0x1d23 0xa38e 0x41c 0x1f15 0xa317 0x435 0x2106 0xa2a8 0x438 0x22f7 0xa232 0x438 0x24e9 0xa1bb 0x438 0x26da 0xa14c 0x438 0x28cb 0xa0df 0x438 0x2abc 0xa071 0x438 0x2cae 0xa004 0x449 0x2e9f 0x9f96 0x432 0x3090 0x9f32 0x437 0x3282 0x9ec6 0x449 0x3473 0x9e61 0x44c 0x3664 0x9dfd 0x44c 0x3856 0x9d9a 0x44c 0x3a47 0x9d36 0x44c 0x3c38 0x9cdb 0x44c 0x3e29 0x9c82 0x465 0x401b 0x9c20 0x451 0x420c 0x9bcd 0x475 0x43fd 0x9b75 0x496 0x45ef 0x9b24 0x49c 0x47e0 0x9acc 0x494 0x49d1 0x9a73 0x4aa 0x4bc2 0x9a19 0x4b0 0x4db4 0x99b8 0x4b0 0x4fa5 0x9935 0x47a 0x5196 0x98aa 0x43c 0x5388 0x9836 0x41f 0x5579 0x97df 0x41a 0x576a 0x9797 0x431 0x595c 0x974a 0x422 0x5b4d 0x9709 0x41a 0x5d3e 0x96ce 0x430 0x5f2f 0x9692 0x422 0x6121 0x9656 0x41a 0x6312 0x9622 0x41a 0x6503 0x95f0 0x41a 0x66f5 0x95be 0x41a 0x68e6 0x9594 0x428 0x6ad7 0x956c 0x42e 0x6cc8 0x953d 0x435 0x6eba 0x9512 0x438 0x70ab 0x94e4 0x423 0x729c 0x94c0 0x43c 0x748e 0x94a2 0x460 0x767f 0x947d 0x456 0x7870 0x9455 0x44c 0x7a61 0x9434 0x44c 0x7c53 0x941d 0x46d 0x7e44 0x93fc 0x471 0x8035 0x93db 0x477 0x8227 0x93b7 0x47e 0x8418 0x937c 0x45e 0x8609 0x9330 0x43f 0x87fb 0x92da 0x425 0x89ec 0x9293 0x41a 0x8bdd 0x925d 0x42c 0x8dce 0x9232 0x438 0x8fc0 0x9204 0x438 0x91b1 0x91d8 0x444 0x93a2 0x91b0 0x440 0x9594 0x9189 0x438 0x9785 0x9161 0x438 0x9976 0x913f 0x455 0x9b67 0x9110 0x448 0x9d59 0x90d4 0x43f 0x9f4a 0x9099 0x43b 0xa13b 0x905d 0x43f 0xa32d 0x901c 0x44c 0xa51e 0x8fd1 0x426 0xa70f 0x8fa1 0x411 0xa901 0x8f8d 0x3f5 0xaaf2 0x8f7f 0x413 0xace3 0x8f75 0x466 0xaed4 0x8f61 0x498 0xb0c6 0x8f34 0x4c9 0xb2b7 0x8e9d 0x4a6 0xb4a8 0x8d5f 0x474 0xb69a 0x8b8c 0x488 0xb88b 0x8921 0x4b9 0xba7c 0x85b6 0x508 0xbc6d 0x8390 0x532 0xbe5f 0x8390 0x532 0xc050 0x8390 0x532>;
			battery0_profile_t1_num = <0x64>;
			battery0_profile_t1 = <0x00 0xabcc 0x4e2 0x1f1 0xab37 0x4e2 0x3e3 0xaaab 0x4c4 0x5d4 0xaa34 0x4e2 0x7c5 0xa9b2 0x4ce 0x9b6 0xa93b 0x4c4 0xba8 0xa8c3 0x4e1 0xd99 0xa842 0x4cf 0xf8a 0xa7ca 0x4e1 0x117c 0xa753 0x4cf 0x136d 0xa6dc 0x4e1 0x155e 0xa664 0x4e2 0x1750 0xa5e3 0x4cf 0x1941 0xa575 0x4e1 0x1b32 0xa4fe 0x4e2 0x1d23 0xa486 0x4e2 0x1f15 0xa40f 0x4e2 0x2106 0xa398 0x4e2 0x22f7 0xa329 0x4fd 0x24e9 0xa2bc 0x500 0x26da 0xa245 0x4f7 0x28cb 0xa1d7 0x511 0x2abc 0xa169 0x514 0x2cae 0xa0fc 0x52f 0x2e9f 0xa08e 0x532 0x3090 0xa021 0x518 0x3282 0x9fbc 0x52e 0x3473 0x9f61 0x543 0x3664 0x9f08 0x560 0x3856 0x9e9d 0x575 0x3a47 0x9e2f 0x578 0x3c38 0x9dc2 0x578 0x3e29 0x9d54 0x578 0x401b 0x9cef 0x591 0x420c 0x9c94 0x5a7 0x43fd 0x9c3b 0x5aa 0x45ef 0x9be1 0x5aa 0x47e0 0x9b90 0x5bb 0x49d1 0x9b51 0x5ef 0x4bc2 0x9afc 0x5fa 0x4db4 0x9a9b 0x5e2 0x4fa5 0x9a37 0x5dc 0x5196 0x99c4 0x5b4 0x5388 0x994c 0x572 0x5579 0x98cd 0x50d 0x576a 0x9863 0x4fe 0x595c 0x980f 0x4d9 0x5b4d 0x97c0 0x4ce 0x5d3e 0x9778 0x4b7 0x5f2f 0x9741 0x4d7 0x6121 0x9700 0x4d3 0x6312 0x96ca 0x4ce 0x6503 0x96a0 0x4dd 0x66f5 0x9669 0x4d3 0x68e6 0x963c 0x4ce 0x6ad7 0x960d 0x4ce 0x6cc8 0x95e2 0x4dd 0x6eba 0x95bb 0x4e2 0x70ab 0x9593 0x4e2 0x729c 0x956b 0x4e2 0x748e 0x9543 0x4e2 0x767f 0x951b 0x4e2 0x7870 0x94fb 0x4e2 0x7a61 0x94dd 0x4e2 0x7c53 0x94c6 0x505 0x7e44 0x94a4 0x4ff 0x8035 0x948a 0x50b 0x8227 0x946f 0x4ff 0x8418 0x9458 0x51f 0x8609 0x943e 0x532 0x87fb 0x9420 0x51e 0x89ec 0x93fb 0x500 0x8bdd 0x93d3 0x4f6 0x8dce 0x93ac 0x4f6 0x8fc0 0x9384 0x4e9 0x91b1 0x9363 0x4e2 0x93a2 0x9338 0x4e2 0x9594 0x930c 0x4d5 0x9785 0x92eb 0x4ce 0x9976 0x92c7 0x4ce 0x9b67 0x92a5 0x4ce 0x9d59 0x9281 0x4ce 0x9f4a 0x9253 0x4da 0xa13b 0x921b 0x4e2 0xa32d 0x91e0 0x4e2 0xa51e 0x91aa 0x4e2 0xa70f 0x916c 0x4e2 0xa901 0x911b 0x4d6 0xaaf2 0x90d9 0x4da 0xace3 0x90b8 0x4d6 0xaed4 0x90aa 0x4da 0xb0c6 0x90a0 0x4f3 0xb2b7 0x9091 0x50b 0xb4a8 0x9071 0x525 0xb69a 0x9028 0x54e 0xb88b 0x8f3f 0x548 0xba7c 0x8d8f 0x53d 0xbc6d 0x8b41 0x57d 0xbe5f 0x880e 0x5d5 0xc050 0x8656 0x5fa>;
			battery0_profile_t2_num = <0x64>;
			battery0_profile_t2 = <0x00 0xaab4 0xa3c 0x1f1 0xaa3c 0xa3c 0x3e3 0xa9bb 0xa0a 0x5d4 0xa94d 0xa28 0x7c5 0xa8e0 0xa28 0x9b6 0xa868 0x9f7 0xba8 0xa7e7 0xa0a 0xd99 0xa76f 0x9f7 0xf8a 0xa6ee 0x9a9 0x117c 0xa680 0x9f3 0x136d 0xa5ff 0x9c6 0x155e 0xa587 0x9c4 0x1750 0xa510 0x9a7 0x1941 0xa4a1 0x9f2 0x1b32 0xa418 0x9b4 0x1d23 0xa3a8 0x9c3 0x1f15 0xa33b 0x9f3 0x2106 0xa2ba 0x9c7 0x22f7 0xa24c 0x9e0 0x24e9 0xa1d5 0x9e2 0x26da 0xa166 0x9e2 0x28cb 0xa102 0xa22 0x2abc 0xa083 0xa0d 0x2cae 0xa014 0xa25 0x2e9f 0x9fa6 0xa28 0x3090 0x9f39 0xa16 0x3282 0x9ed4 0xa26 0x3473 0x9e79 0xa43 0x3664 0x9e17 0xa58 0x3856 0x9dc5 0xacd 0x3a47 0x9d5b 0xaee 0x3c38 0x9cb8 0xac4 0x3e29 0x9c18 0xa92 0x401b 0x9b93 0xaa6 0x420c 0x9b11 0xa90 0x43fd 0x9aa1 0xa4f 0x45ef 0x9a56 0xa82 0x47e0 0x99ff 0xa72 0x49d1 0x9994 0xa21 0x4bc2 0x9938 0xa0c 0x4db4 0x98cd 0x9be 0x4fa5 0x9868 0x986 0x5196 0x980d 0x954 0x5388 0x97bb 0x95d 0x5579 0x975b 0x926 0x576a 0x9708 0x91a 0x595c 0x96c1 0x901 0x5b4d 0x9673 0x914 0x5d3e 0x962b 0x8f1 0x5f2f 0x95f6 0x8f8 0x6121 0x95bc 0x8fc 0x6312 0x9588 0x914 0x6503 0x953e 0x8ea 0x66f5 0x9516 0x90d 0x68e6 0x94e9 0x91a 0x6ad7 0x94b7 0x91a 0x6cc8 0x948d 0x92a 0x6eba 0x9465 0x92e 0x70ab 0x9435 0x945 0x729c 0x9404 0x935 0x748e 0x93e1 0x954 0x767f 0x93c3 0x960 0x7870 0x93a5 0x977 0x7a61 0x9387 0x98d 0x7c53 0x9362 0x96d 0x7e44 0x9349 0x99b 0x8035 0x932e 0x9a9 0x8227 0x9317 0x9d2 0x8418 0x92fc 0x9cc 0x8609 0x92de 0x9c4 0x87fb 0x92c0 0x9ae 0x89ec 0x92b1 0x9bc 0x8bdd 0x9299 0x9af 0x8dce 0x9289 0x9bb 0x8fc0 0x9278 0x9d9 0x91b1 0x925d 0xa05 0x93a2 0x9246 0xa14 0x9594 0x9224 0xa14 0x9785 0x920a 0xa37 0x9976 0x91e8 0xa31 0x9b67 0x91ba 0xa1a 0x9d59 0x9188 0xa22 0x9f4a 0x9156 0xa57 0xa13b 0x911e 0xa82 0xa32d 0x90e9 0xaa0 0xa51e 0x90b0 0xaaa 0xa70f 0x9067 0xaec 0xa901 0x9017 0xb0e 0xaaf2 0x8fdb 0xb3c 0xace3 0x8fb0 0xb74 0xaed4 0x8f9c 0xbe7 0xb0c6 0x8f7e 0xc4f 0xb2b7 0x8f5d 0xcd8 0xb4a8 0x8f3f 0xda1 0xb69a 0x8ef5 0xea2 0xb88b 0x8e1b 0xfb3 0xba7c 0x8c84 0x10f8 0xbc6d 0x8a3c 0x130c 0xbe5f 0x8715 0x16c8 0xc050 0x85b6 0x1888>;
			battery0_profile_t3_num = <0x64>;
			battery0_profile_t3 = <0x00 0xab86 0x1ba8 0x1f1 0xaad3 0x1ba8 0x3e3 0xaa33 0x1ba8 0x5d4 0xa9b2 0x1bd9 0x7c5 0xa926 0x1b8b 0x9b6 0xa8a5 0x1b76 0xba8 0xa823 0x1b28 0xd99 0xa7a2 0x1af5 0xf8a 0xa72a 0x1ae1 0x117c 0xa6b2 0x1ab0 0x136d 0xa63b 0x1a7e 0x155e 0xa5c4 0x1a5f 0x1750 0xa543 0x1a1c 0x1941 0xa4d4 0x19e9 0x1b32 0xa45d 0x19b7 0x1d23 0xa3e6 0x1998 0x1f15 0xa378 0x1996 0x2106 0xa30a 0x1983 0x22f7 0xa293 0x194b 0x24e9 0xa225 0x194f 0x26da 0xa1ae 0x1922 0x28cb 0xa137 0x18f0 0x2abc 0xa0c8 0x18d1 0x2cae 0xa05b 0x18ce 0x2e9f 0x9ff6 0x18ce 0x3090 0x9f93 0x18ce 0x3282 0x9f38 0x18e9 0x3473 0x9ecd 0x18ec 0x3664 0x9e56 0x18e3 0x3856 0x9dbc 0x18a5 0x3a47 0x9d14 0x185f 0x3c38 0x9c73 0x1811 0x3e29 0x9bd4 0x17b0 0x401b 0x9b4e 0x1791 0x420c 0x9ade 0x1774 0x43fd 0x9a82 0x1770 0x45ef 0x9a30 0x1770 0x47e0 0x99e1 0x1770 0x49d1 0x9991 0x1746 0x4bc2 0x9941 0x173e 0x4db4 0x98fa 0x173e 0x4fa5 0x98b4 0x1757 0x5196 0x9866 0x1733 0x5388 0x981f 0x173a 0x5579 0x97d1 0x173e 0x576a 0x9789 0x1756 0x595c 0x974c 0x176c 0x5b4d 0x9708 0x1788 0x5d3e 0x96ca 0x179e 0x5f2f 0x968f 0x17ba 0x6121 0x9653 0x17e7 0x6312 0x9617 0x17f2 0x6503 0x95e3 0x1819 0x66f5 0x95b1 0x1833 0x68e6 0x957f 0x185f 0x6ad7 0x9555 0x1890 0x6cc8 0x9526 0x18b3 0x6eba 0x94fc 0x18e0 0x70ab 0x94d4 0x1912 0x729c 0x94ac 0x192d 0x748e 0x948c 0x196e 0x767f 0x9466 0x1982 0x7870 0x9446 0x19a7 0x7a61 0x9428 0x19e7 0x7c53 0x9411 0x1a1e 0x7e44 0x93fd 0x1a66 0x8035 0x93ea 0x1aa0 0x8227 0x93cf 0x1ad2 0x8418 0x93b8 0x1b12 0x8609 0x93ab 0x1b58 0x87fb 0x939a 0x1bb9 0x89ec 0x9386 0x1bfd 0x8bdd 0x9372 0x1c60 0x8dce 0x9357 0x1ca7 0x8fc0 0x9340 0x1d0f 0x91b1 0x932c 0x1d8a 0x93a2 0x9312 0x1e02 0x9594 0x92f4 0x1e72 0x9785 0x92cf 0x1ee6 0x9976 0x92ae 0x1f93 0x9b67 0x9283 0x2018 0x9d59 0x9258 0x20b0 0x9f4a 0x9229 0x215d 0xa13b 0x91f8 0x2227 0xa32d 0x91c6 0x22f5 0xa51e 0x918e 0x2403 0xa70f 0x914b 0x251e 0xa901 0x910c 0x265d 0xaaf2 0x90d7 0x27f8 0xace3 0x90a5 0x29d8 0xaed4 0x9073 0x2c1a 0xb0c6 0x9047 0x2f03 0xb2b7 0x9013 0x3276 0xb4a8 0x8fd2 0x369a 0xb69a 0x8f68 0x3b31 0xb88b 0x8ec2 0x3f70 0xba7c 0x8dbe 0x42bb 0xbc6d 0x8c25 0x4603 0xbe5f 0x89ed 0x4769 0xc050 0x8692 0x3f02>;
		};
	};

	fragment@30 {
		target = <0xffffffff>;

		__overlay__ {
			battery1_name = "JK50-SCUD-SB18C28956-5000mah";
			battery1_profile_t0_num = <0x64>;
			battery1_profile_t0 = <0x00 0xab5c 0x40f 0x1fa 0xaad8 0x40e 0x3f4 0xaa5d 0x40e 0x5ee 0xa9ea 0x41e 0x7e8 0xa97b 0x42a 0x9e2 0xa904 0x41e 0xbdc 0xa890 0x41e 0xdd6 0xa812 0x42b 0xfd0 0xa798 0x426 0x11cb 0xa724 0x43a 0x13c5 0xa6a1 0x420 0x15bf 0xa629 0x434 0x17b9 0xa5ad 0x42e 0x19b3 0xa534 0x42e 0x1bad 0xa4bd 0x433 0x1da7 0xa441 0x432 0x1fa1 0xa3ce 0x43d 0x219b 0xa357 0x43d 0x2395 0xa2df 0x438 0x258f 0xa268 0x43d 0x2789 0xa1f5 0x448 0x2983 0xa188 0x455 0x2b7d 0xa116 0x44e 0x2d77 0xa0a4 0x450 0x2f71 0xa032 0x454 0x316c 0x9fc4 0x44d 0x3366 0x9f5b 0x45a 0x3560 0x9eef 0x454 0x375a 0x9e84 0x460 0x3954 0x9e21 0x46c 0x3b4e 0x9dbc 0x46c 0x3d48 0x9d58 0x470 0x3f42 0x9cf4 0x47b 0x413c 0x9c94 0x486 0x4336 0x9c37 0x495 0x4530 0x9be0 0x49b 0x472a 0x9b86 0x4b5 0x4924 0x9b29 0x4b9 0x4b1e 0x9ac5 0x4bb 0x4d18 0x9a5d 0x4bc 0x4f12 0x99de 0x4a2 0x510c 0x9949 0x466 0x5307 0x98c1 0x43f 0x5501 0x985d 0x43d 0x56fb 0x9809 0x43a 0x58f5 0x97c1 0x43c 0x5aef 0x9778 0x434 0x5ce9 0x9737 0x42e 0x5ee3 0x96f2 0x41f 0x60dd 0x96b9 0x438 0x62d7 0x967d 0x433 0x64d1 0x9649 0x43d 0x66cb 0x9614 0x43d 0x68c5 0x95e0 0x43d 0x6abf 0x95ac 0x43d 0x6cb9 0x9582 0x449 0x6eb3 0x9552 0x444 0x70ad 0x9528 0x44a 0x72a8 0x94f8 0x43d 0x74a2 0x94cf 0x44c 0x769c 0x94ab 0x45c 0x7896 0x9481 0x45c 0x7a90 0x9461 0x465 0x7c8a 0x943c 0x460 0x7e84 0x941c 0x46c 0x807e 0x93f7 0x46c 0x8278 0x93cf 0x46c 0x8472 0x9398 0x44c 0x866c 0x9346 0x432 0x8866 0x92f3 0x42e 0x8a60 0x92b2 0x42f 0x8c5a 0x9288 0x449 0x8e54 0x9255 0x43d 0x904e 0x9221 0x43b 0x9248 0x91f2 0x43a 0x9443 0x91c8 0x43d 0x963d 0x919f 0x440 0x9837 0x917a 0x44d 0x9a31 0x9149 0x444 0x9c2b 0x910b 0x436 0x9e25 0x90cc 0x44d 0xa01f 0x9091 0x44d 0xa219 0x9053 0x44d 0xa413 0x9003 0x43d 0xa60d 0x8fc3 0x423 0xa807 0x8fb3 0x433 0xaa01 0x8fac 0x44e 0xabfb 0x8f9d 0x468 0xadf5 0x8f8e 0x489 0xafef 0x8f77 0x4bb 0xb1e9 0x8f24 0x4c9 0xb3e4 0x8e06 0x47b 0xb5de 0x8c36 0x471 0xb7d8 0x89e5 0x4a6 0xb9d2 0x868c 0x4cb 0xbbcc 0x811b 0x545 0xbdc6 0x7d57 0x5fe 0xbfc0 0x7d57 0x5fe 0xc1ba 0x7d57 0x5fe 0xc3b4 0x7d57 0x5fe>;
			battery1_profile_t1_num = <0x64>;
			battery1_profile_t1 = <0x00 0xab2a 0x4e7 0x1fa 0xaa93 0x4fd 0x3f4 0xaa12 0x502 0x5ee 0xa998 0x507 0x7e8 0xa91b 0x507 0x9e2 0xa8a1 0x50f 0xbdc 0xa820 0x507 0xdd6 0xa7a2 0x507 0xfd0 0xa728 0x4f7 0x11cb 0xa6af 0x508 0x13c5 0xa641 0x515 0x15bf 0xa5c5 0x506 0x17b9 0xa54e 0x507 0x19b3 0xa4d6 0x505 0x1bad 0xa45f 0x504 0x1da7 0xa3e8 0x500 0x1fa1 0xa377 0x507 0x219b 0xa302 0x503 0x2395 0xa290 0x505 0x258f 0xa21e 0x516 0x2789 0xa1ab 0x513 0x2983 0xa13a 0x513 0x2b7d 0xa0ca 0x525 0x2d77 0xa05d 0x531 0x2f71 0x9fee 0x53e 0x316c 0x9f80 0x53a 0x3366 0x9f27 0x553 0x3560 0x9ee4 0x586 0x375a 0x9ea7 0x5a6 0x3954 0x9e28 0x574 0x3b4e 0x9d75 0x561 0x3d48 0x9cd1 0x55b 0x3f42 0x9c4c 0x563 0x413c 0x9bec 0x56e 0x4336 0x9bab 0x582 0x4530 0x9b7d 0x592 0x472a 0x9b4e 0x5a0 0x4924 0x9b06 0x592 0x4b1e 0x9ab9 0x5a4 0x4d18 0x9a60 0x598 0x4f12 0x9a11 0x5b8 0x510c 0x99b0 0x5af 0x5307 0x9947 0x5a3 0x5501 0x98b5 0x553 0x56fb 0x982f 0x518 0x58f5 0x97c2 0x4d9 0x5aef 0x976e 0x4de 0x5ce9 0x9724 0x4c7 0x5ee3 0x96e5 0x4d8 0x60dd 0x96a7 0x4ce 0x62d7 0x9670 0x4ce 0x64d1 0x9635 0x4c7 0x66cb 0x9608 0x4cd 0x68c5 0x95d6 0x4d5 0x6abf 0x95a6 0x4d8 0x6cb9 0x957c 0x4d8 0x6eb3 0x9552 0x4e0 0x70ad 0x9528 0x4e7 0x72a8 0x94fe 0x4da 0x74a2 0x94d8 0x4d8 0x769c 0x94b8 0x4eb 0x7896 0x9499 0x4f6 0x7a90 0x9473 0x4e8 0x7c8a 0x9454 0x4e7 0x7e84 0x943a 0x4f8 0x807e 0x9422 0x517 0x8278 0x9409 0x517 0x8472 0x93e9 0x505 0x866c 0x93d0 0x506 0x8866 0x93b7 0x507 0x8a60 0x9397 0x508 0x8c5a 0x9373 0x4fa 0x8e54 0x9343 0x4e8 0x904e 0x931a 0x4d8 0x9248 0x92fb 0x4da 0x9443 0x92d8 0x4e7 0x963d 0x92ae 0x4d9 0x9837 0x928a 0x4d8 0x9a31 0x9268 0x4e2 0x9c2b 0x924b 0x4f6 0x9e25 0x9226 0x4f8 0xa01f 0x91f8 0x4e7 0xa219 0x91c2 0x4ed 0xa413 0x917d 0x4e7 0xa60d 0x9148 0x4f6 0xa807 0x910f 0x500 0xaa01 0x90c6 0x505 0xabfb 0x906e 0x4fa 0xadf5 0x904a 0x4fd 0xafef 0x903b 0x509 0xb1e9 0x9036 0x523 0xb3e4 0x9025 0x52d 0xb5de 0x9001 0x528 0xb7d8 0x8fe1 0x590 0xb9d2 0x8f53 0x570 0xbbcc 0x8de0 0x55d 0xbdc6 0x8bd4 0x581 0xbfc0 0x8912 0x5b8 0xc1ba 0x850d 0x630 0xc3b4 0x7d82 0x84b>;
			battery1_profile_t2_num = <0x64>;
			battery1_profile_t2 = <0x00 0xaa0d 0xb91 0x1fa 0xa8fe 0xbdb 0x3f4 0xa853 0xc32 0x5ee 0xa7bb 0xc4b 0x7e8 0xa743 0xc71 0x9e2 0xa6c7 0xc72 0xbdc 0xa650 0xc6a 0xdd6 0xa5d3 0xc51 0xfd0 0xa557 0xc4b 0x11cb 0xa4e4 0xc5a 0x13c5 0xa471 0xc4d 0x15bf 0xa3fe 0xc4b 0x17b9 0xa38b 0xc37 0x19b3 0xa31e 0xc57 0x1bad 0xa2af 0xc45 0x1da7 0xa23e 0xc3b 0x1fa1 0xa1cb 0xc2c 0x219b 0xa15c 0xc2c 0x2395 0xa0ee 0xc2c 0x258f 0xa085 0xc2a 0x2789 0xa01b 0xc0d 0x2983 0x9fc8 0xc04 0x2b7d 0x9f8d 0xc42 0x2d77 0x9f5a 0xcab 0x2f71 0x9ef6 0xcb7 0x316c 0x9e43 0xc7e 0x3366 0x9d5d 0xc23 0x3560 0x9c97 0xbfd 0x375a 0x9bfd 0xbde 0x3954 0x9b90 0xbde 0x3b4e 0x9b39 0xbf1 0x3d48 0x9af1 0xc02 0x3f42 0x9ab3 0xc1c 0x413c 0x9a87 0xc3b 0x4336 0x9a52 0xc55 0x4530 0x9a0f 0xc4a 0x472a 0x99b7 0xc25 0x4924 0x9950 0xc06 0x4b1e 0x98e0 0xbda 0x4d18 0x986d 0xba4 0x4f12 0x97fd 0xb6a 0x510c 0x979d 0xb43 0x5307 0x974e 0xb43 0x5501 0x9708 0xb54 0x56fb 0x96ca 0xb5f 0x58f5 0x968b 0xb53 0x5aef 0x9652 0xb59 0x5ce9 0x961c 0xb53 0x5ee3 0x95e7 0xb62 0x60dd 0x95b7 0xb62 0x62d7 0x958d 0xb81 0x64d1 0x9563 0xb91 0x66cb 0x9539 0xb91 0x68c5 0x9512 0xbb6 0x6abf 0x94ed 0xbc0 0x6cb9 0x94cd 0xbe7 0x6eb3 0x94ab 0xbf6 0x70ad 0x9489 0xbf2 0x72a8 0x946a 0xc0c 0x74a2 0x9446 0xc0d 0x769c 0x942b 0xc1f 0x7896 0x9416 0xc3a 0x7a90 0x93fb 0xc44 0x7c8a 0x93e8 0xc4f 0x7e84 0x93de 0xc69 0x807e 0x93cd 0xc74 0x8278 0x93c3 0xc8e 0x8472 0x93b8 0xca8 0x866c 0x93a7 0xccd 0x8866 0x9394 0xcec 0x8a60 0x937f 0xd17 0x8c5a 0x9366 0xd33 0x8e54 0x9346 0xd60 0x904e 0x9326 0xd85 0x9248 0x9301 0xdb9 0x9443 0x92dc 0xdee 0x963d 0x92b5 0xe35 0x9837 0x9280 0xe75 0x9a31 0x9241 0xeb9 0x9c2b 0x9203 0xefd 0x9e25 0x91ca 0xf4f 0xa01f 0x918b 0xfa8 0xa219 0x913a 0xff6 0xa413 0x90e3 0x104b 0xa60d 0x90bd 0x10d2 0xa807 0x90a4 0x1150 0xaa01 0x908c 0x11e7 0xabfb 0x9078 0x12bb 0xadf5 0x9058 0x13b5 0xafef 0x902f 0x14ef 0xb1e9 0x8fb7 0x1643 0xb3e4 0x8e4a 0x1761 0xb5de 0x8c22 0x1990 0xb7d8 0x8938 0x1ca4 0xb9d2 0x84c2 0x2140 0xbbcc 0x7cbc 0x2692 0xbdc6 0x776b 0x1947 0xbfc0 0x7597 0x14b5 0xc1ba 0x7597 0x14b5 0xc3b4 0x7597 0x14b5>;
			battery1_profile_t3_num = <0x64>;
			battery1_profile_t3 = <0x00 0xa9fa 0x1059 0x1fa 0xa8f0 0x1099 0x3f4 0xa77a 0x11fd 0x5ee 0xa672 0x140f 0x7e8 0xa5d9 0x146f 0x9e2 0xa550 0x14bc 0xbdc 0xa4d6 0x14e6 0xdd6 0xa45e 0x14f3 0xfd0 0xa3f0 0x1522 0x11cb 0xa37d 0x153e 0x13c5 0xa30a 0x153f 0x15bf 0xa29d 0x1569 0x17b9 0xa22b 0x1577 0x19b3 0xa1bd 0x159d 0x1bad 0xa147 0x1598 0x1da7 0xa0d9 0x159e 0x1fa1 0xa070 0x15ad 0x219b 0xa016 0x15b8 0x2395 0x9fd3 0x15ed 0x258f 0x9f95 0x163c 0x2789 0x9f48 0x1677 0x2983 0x9ebf 0x166e 0x2b7d 0x9dec 0x1621 0x2d77 0x9cf0 0x15ab 0x2f71 0x9c2e 0x158e 0x316c 0x9b96 0x156d 0x3366 0x9b1e 0x156d 0x3560 0x9ab5 0x1567 0x375a 0x9a59 0x1578 0x3954 0x99fc 0x1560 0x3b4e 0x99a2 0x153d 0x3d48 0x994e 0x1531 0x3f42 0x98fb 0x1513 0x413c 0x98a7 0x14e9 0x4336 0x985c 0x14e4 0x4530 0x9813 0x14e3 0x472a 0x97c9 0x14d4 0x4924 0x977c 0x14cb 0x4b1e 0x973e 0x14d6 0x4d18 0x96ff 0x14e4 0x4f12 0x96c6 0x1503 0x510c 0x968f 0x1527 0x5307 0x965b 0x154e 0x5501 0x9626 0x1559 0x56fb 0x95f7 0x157f 0x58f5 0x95be 0x157f 0x5aef 0x9593 0x15a7 0x5ce9 0x9569 0x15c6 0x5ee3 0x9540 0x15eb 0x60dd 0x9516 0x1605 0x62d7 0x94f2 0x1634 0x64d1 0x94ce 0x1658 0x66cb 0x94a9 0x1672 0x68c5 0x9487 0x168d 0x6abf 0x946a 0x16b6 0x6cb9 0x944b 0x16d0 0x6eb3 0x942c 0x16ea 0x70ad 0x9413 0x1705 0x72a8 0x93fe 0x172c 0x74a2 0x93e9 0x1741 0x769c 0x93ce 0x1756 0x7896 0x93b9 0x177d 0x7a90 0x93a5 0x17af 0x7c8a 0x9390 0x17f3 0x7e84 0x9375 0x1827 0x807e 0x9359 0x1856 0x8278 0x933a 0x18a0 0x8472 0x9316 0x18e4 0x866c 0x92ed 0x1923 0x8866 0x92c0 0x197b 0x8a60 0x928d 0x19d2 0x8c5a 0x9259 0x1a31 0x8e54 0x9227 0x1aa2 0x904e 0x91e7 0x1b08 0x9248 0x919e 0x1b70 0x9443 0x9155 0x1beb 0x963d 0x9116 0x1c76 0x9837 0x90f1 0x1d06 0x9a31 0x90d2 0x1da3 0x9c2b 0x90ba 0x1e67 0x9e25 0x90a0 0x1f56 0xa01f 0x907c 0x205b 0xa219 0x9032 0x216b 0xa413 0x8f7f 0x2285 0xa60d 0x8dec 0x2372 0xa807 0x8b98 0x2534 0xaa01 0x8849 0x27be 0xabfb 0x82a3 0x2c08 0xadf5 0x81a7 0x2ccf 0xafef 0x81a7 0x2ccf 0xb1e9 0x81a7 0x2ccf 0xb3e4 0x81a7 0x2ccf 0xb5de 0x81a7 0x2ccf 0xb7d8 0x81a7 0x2ccf 0xb9d2 0x81a7 0x2ccf 0xbbcc 0x81a7 0x2ccf 0xbdc6 0x81a7 0x2ccf 0xbfc0 0x81a7 0x2ccf 0xc1ba 0x81a7 0x2ccf 0xc3b4 0x81a7 0x2ccf>;
		};
	};

	fragment@31 {
		target = <0xffffffff>;

		__overlay__ {

			adc_channel@ {
				compatible = "mediatek,adc_channel";
				mediatek,temperature0 = <0x00>;
				mediatek,temperature1 = <0x01>;
				mediatek,usb_id = <0x02>;
				mediatek,batt_id = <0x03>;
				mediatek,temperature2 = <0x04>;
				status = "okay";
			};
		};
	};

	fragment@32 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,clkbuf-quantity = <0x07>;
			mediatek,clkbuf-config = <0x02 0x01 0x01 0x02 0x00 0x00 0x00>;
			mediatek,clkbuf-driving-current = <0x01 0x01 0x01 0x01 0x01 0x01 0x01>;
			status = "okay";
		};
	};

	fragment@33 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@34 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			sar@28 {
				compatible = "mediatek,sar";
				reg = <0x28>;
				status = "okay";
				interrupt-parent = <0xffffffff>;
				interrupts = <0x09 0x08 0x09 0x00>;
				linux,phandle = <0x60>;
				phandle = <0x60>;
			};

			alsps@46 {
				compatible = "mediatek,alsps";
				reg = <0x46>;
				status = "okay";
				interrupt-parent = <0xffffffff>;
				interrupts = <0x06 0x08 0x06 0x00>;
				linux,phandle = <0x61>;
				phandle = <0x61>;
			};
		};
	};

	fragment@35 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_main_eeprom@1f {
				compatible = "mediatek,camera_main_eeprom";
				reg = <0x1f>;
				status = "okay";
				linux,phandle = <0x62>;
				phandle = <0x62>;
			};

			camera_main@20 {
				compatible = "mediatek,camera_main";
				reg = <0x20>;
				status = "okay";
				linux,phandle = <0x63>;
				phandle = <0x63>;
			};

			camera_main_af@18 {
				compatible = "mediatek,camera_main_af";
				reg = <0x18>;
				status = "okay";
				linux,phandle = <0x64>;
				phandle = <0x64>;
			};
		};
	};

	fragment@36 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@37 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			camera_sub@50 {
				compatible = "mediatek,camera_sub";
				reg = <0x50>;
				status = "okay";
				linux,phandle = <0x65>;
				phandle = <0x65>;
			};

			camera_main_two@2e {
				compatible = "mediatek,camera_main_two";
				reg = <0x2e>;
				status = "okay";
				linux,phandle = <0x66>;
				phandle = <0x66>;
			};

			camera_main_three@2e {
				compatible = "mediatek,camera_main_three";
				reg = <0x2e>;
				status = "okay";
				linux,phandle = <0x67>;
				phandle = <0x67>;
			};

			camera_main_three_eeprom@52 {
				compatible = "mediatek,camera_main_three_eeprom";
				reg = <0x52>;
				status = "okay";
				linux,phandle = <0x68>;
				phandle = <0x68>;
			};

			camera_sub_eeprom@10 {
				compatible = "mediatek,camera_sub_eeprom";
				reg = <0x10>;
				status = "okay";
				linux,phandle = <0x69>;
				phandle = <0x69>;
			};

			camera_main_three_af@1c {
				compatible = "mediatek,camera_main_three_af";
				reg = <0x1c>;
				status = "okay";
				linux,phandle = <0x6a>;
				phandle = <0x6a>;
			};
		};
	};

	fragment@38 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-push-pull;
		};
	};

	fragment@39 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;

			strobe_main@63 {
				compatible = "mediatek,strobe_main";
				reg = <0x63>;
				status = "okay";
				linux,phandle = <0x6b>;
				phandle = <0x6b>;
			};
		};
	};

	fragment@40 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@41 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@42 {
		target = <0xffffffff>;

		__overlay__ {
			#address-cells = <0x01>;
			#size-cells = <0x00>;
			clock-frequency = <0x61a80>;
			mediatek,use-open-drain;
		};
	};

	fragment@43 {
		target = <0xffffffff>;

		__overlay__ {
			GPIO_SIM2_SIO = <0xffffffff 0x23 0x00>;
			GPIO_SIM2_SRST = <0xffffffff 0x24 0x00>;
			GPIO_SIM2_SCLK = <0xffffffff 0x25 0x00>;
			GPIO_SIM1_SCLK = <0xffffffff 0x26 0x00>;
			GPIO_SIM1_SRST = <0xffffffff 0x27 0x00>;
			GPIO_SIM1_SIO = <0xffffffff 0x28 0x00>;
			GPIO_SIM1_HOT_PLUG = <0xffffffff 0x2f 0x00>;
		};
	};

	fragment@44 {
		target = <0xffffffff>;

		__overlay__ {
			gpio_init_default = <0x00 0x00 0x00 0x00 0x01 0x01 0x01 0x01 0x00 0x00 0x00 0x01 0x01 0x01 0x02 0x00 0x00 0x00 0x01 0x01 0x01 0x03 0x00 0x00 0x00 0x01 0x00 0x01 0x04 0x00 0x00 0x00 0x01 0x00 0x00 0x05 0x00 0x00 0x00 0x01 0x01 0x00 0x06 0x00 0x00 0x00 0x01 0x01 0x00 0x07 0x00 0x00 0x00 0x01 0x00 0x00 0x08 0x07 0x00 0x00 0x01 0x01 0x00 0x09 0x00 0x00 0x00 0x01 0x01 0x00 0x0a 0x00 0x00 0x00 0x01 0x00 0x00 0x0b 0x00 0x00 0x00 0x01 0x01 0x00 0x0c 0x00 0x00 0x00 0x01 0x01 0x00 0x0d 0x03 0x00 0x00 0x01 0x00 0x00 0x0e 0x03 0x01 0x00 0x00 0x00 0x00 0x0f 0x03 0x01 0x00 0x00 0x00 0x00 0x10 0x03 0x01 0x00 0x01 0x01 0x00 0x11 0x00 0x00 0x00 0x01 0x00 0x00 0x12 0x00 0x00 0x00 0x01 0x00 0x00 0x13 0x00 0x00 0x00 0x01 0x00 0x00 0x14 0x00 0x00 0x00 0x01 0x00 0x00 0x15 0x00 0x01 0x00 0x01 0x00 0x00 0x16 0x00 0x01 0x01 0x01 0x01 0x00 0x17 0x00 0x00 0x00 0x00 0x00 0x00 0x18 0x00 0x01 0x00 0x00 0x00 0x00 0x19 0x01 0x00 0x00 0x01 0x01 0x00 0x1a 0x01 0x01 0x01 0x00 0x00 0x00 0x1b 0x01 0x01 0x00 0x00 0x00 0x00 0x1c 0x01 0x01 0x00 0x01 0x01 0x00 0x1d 0x01 0x01 0x00 0x00 0x00 0x01 0x1e 0x01 0x00 0x00 0x01 0x01 0x01 0x1f 0x01 0x00 0x00 0x01 0x01 0x01 0x20 0x01 0x00 0x00 0x01 0x01 0x01 0x21 0x01 0x00 0x00 0x01 0x01 0x01 0x22 0x01 0x00 0x00 0x01 0x01 0x01 0x23 0x01 0x00 0x00 0x01 0x01 0x00 0x24 0x01 0x01 0x00 0x00 0x00 0x00 0x25 0x01 0x01 0x00 0x00 0x00 0x00 0x26 0x01 0x01 0x00 0x00 0x00 0x00 0x27 0x01 0x01 0x00 0x00 0x00 0x00 0x28 0x01 0x00 0x00 0x01 0x01 0x00 0x29 0x00 0x00 0x00 0x01 0x01 0x00 0x2a 0x00 0x00 0x00 0x01 0x00 0x00 0x2b 0x01 0x01 0x00 0x00 0x00 0x00 0x2c 0x01 0x00 0x00 0x01 0x00 0x00 0x2d 0x01 0x01 0x01 0x00 0x00 0x00 0x2e 0x00 0x00 0x00 0x01 0x00 0x00 0x2f 0x01 0x00 0x00 0x01 0x01 0x00 0x30 0x01 0x00 0x00 0x01 0x01 0x01 0x31 0x01 0x00 0x00 0x01 0x01 0x01 0x32 0x00 0x00 0x00 0x01 0x00 0x01 0x33 0x00 0x00 0x00 0x01 0x00 0x01 0x34 0x01 0x01 0x00 0x01 0x00 0x00 0x35 0x01 0x01 0x00 0x01 0x00 0x00 0x36 0x01 0x01 0x00 0x01 0x00 0x00 0x37 0x01 0x01 0x00 0x01 0x00 0x00 0x38 0x01 0x01 0x00 0x01 0x00 0x00 0x39 0x01 0x01 0x00 0x01 0x00 0x00 0x3a 0x00 0x00 0x00 0x01 0x00 0x00 0x3b 0x01 0x00 0x00 0x01 0x00 0x00 0x3c 0x01 0x00 0x00 0x01 0x00 0x00 0x3d 0x01 0x00 0x00 0x01 0x00 0x00 0x3e 0x01 0x00 0x00 0x01 0x00 0x00 0x3f 0x01 0x00 0x00 0x01 0x00 0x00 0x40 0x01 0x00 0x00 0x01 0x00 0x00 0x41 0x01 0x00 0x00 0x01 0x00 0x00 0x42 0x01 0x00 0x00 0x01 0x00 0x00 0x43 0x01 0x00 0x00 0x01 0x00 0x00 0x44 0x01 0x00 0x00 0x01 0x00 0x00 0x45 0x01 0x01 0x00 0x01 0x00 0x00 0x46 0x01 0x01 0x00 0x01 0x00 0x00 0x47 0x01 0x01 0x00 0x01 0x00 0x00 0x48 0x01 0x01 0x00 0x01 0x00 0x00 0x49 0x01 0x01 0x00 0x01 0x00 0x00 0x4a 0x01 0x01 0x00 0x01 0x00 0x00 0x4b 0x01 0x01 0x00 0x01 0x00 0x00 0x4c 0x01 0x01 0x00 0x01 0x00 0x00 0x4d 0x01 0x01 0x00 0x01 0x00 0x00 0x4e 0x01 0x01 0x00 0x01 0x00 0x00 0x4f 0x01 0x00 0x00 0x01 0x00 0x00 0x50 0x01 0x00 0x00 0x01 0x00 0x00 0x51 0x01 0x00 0x00 0x01 0x01 0x01 0x52 0x01 0x00 0x00 0x01 0x01 0x01 0x53 0x01 0x00 0x00 0x01 0x01 0x01 0x54 0x01 0x00 0x00 0x01 0x01 0x01 0x55 0x01 0x01 0x00 0x01 0x00 0x00 0x56 0x01 0x01 0x00 0x01 0x00 0x00 0x57 0x00 0x00 0x00 0x01 0x00 0x00 0x58 0x00 0x00 0x00 0x01 0x00 0x00 0x59 0x00 0x00 0x00 0x01 0x00 0x00 0x5a 0x00 0x00 0x00 0x01 0x00 0x00 0x5b 0x00 0x01 0x00 0x01 0x00 0x00 0x5c 0x01 0x01 0x00 0x00 0x00 0x00 0x5d 0x01 0x00 0x00 0x01 0x01 0x00 0x5e 0x01 0x00 0x00 0x01 0x01 0x00 0x5f 0x01 0x00 0x00 0x01 0x01 0x00 0x60 0x01 0x01 0x00 0x00 0x00 0x00 0x61 0x00 0x00 0x00 0x01 0x00 0x00 0x62 0x00 0x00 0x00 0x01 0x00 0x00 0x63 0x01 0x01 0x00 0x00 0x00 0x00 0x64 0x01 0x01 0x00 0x00 0x00 0x00 0x65 0x00 0x01 0x01 0x00 0x00 0x00 0x66 0x00 0x01 0x01 0x00 0x00 0x00 0x67 0x01 0x00 0x00 0x01 0x01 0x01 0x68 0x01 0x00 0x00 0x01 0x01 0x01 0x69 0x01 0x00 0x00 0x01 0x01 0x01 0x6a 0x01 0x00 0x00 0x01 0x01 0x01 0x6b 0x00 0x01 0x00 0x00 0x00 0x00 0x6c 0x01 0x01 0x00 0x00 0x00 0x00 0x6d 0x00 0x01 0x00 0x01 0x01 0x00 0x6e 0x00 0x00 0x00 0x01 0x00 0x00 0x6f 0x00 0x00 0x00 0x01 0x00 0x00 0x70 0x00 0x00 0x00 0x01 0x00 0x00 0x71 0x01 0x00 0x00 0x01 0x00 0x00 0x72 0x01 0x00 0x00 0x01 0x00 0x00 0x73 0x01 0x00 0x00 0x01 0x00 0x00 0x74 0x01 0x00 0x00 0x01 0x00 0x00 0x75 0x01 0x00 0x00 0x01 0x00 0x00 0x76 0x01 0x00 0x00 0x01 0x00 0x00 0x77 0x01 0x00 0x00 0x01 0x00 0x00 0x78 0x01 0x00 0x00 0x01 0x00 0x00 0x79 0x01 0x00 0x00 0x01 0x00 0x00 0x7a 0x01 0x00 0x00 0x01 0x01 0x01 0x7b 0x01 0x00 0x00 0x01 0x01 0x01 0x7c 0x01 0x01 0x00 0x00 0x00 0x01 0x7d 0x01 0x00 0x00 0x01 0x01 0x01 0x7e 0x01 0x00 0x00 0x01 0x01 0x01 0x7f 0x01 0x00 0x00 0x01 0x01 0x01 0x80 0x01 0x00 0x00 0x01 0x01 0x01 0x81 0x01 0x00 0x00 0x01 0x01 0x01 0x82 0x01 0x00 0x00 0x01 0x01 0x01 0x83 0x01 0x00 0x00 0x01 0x00 0x01 0x84 0x01 0x00 0x00 0x01 0x01 0x01 0x85 0x01 0x01 0x01 0x00 0x00 0x01 0x86 0x01 0x00 0x00 0x01 0x00 0x01 0x87 0x01 0x01 0x00 0x00 0x00 0x00 0x88 0x01 0x01 0x00 0x00 0x00 0x00 0x89 0x01 0x01 0x00 0x00 0x00 0x00 0x8a 0x01 0x01 0x00 0x00 0x00 0x00 0x8b 0x01 0x01 0x00 0x00 0x00 0x00 0x8c 0x01 0x00 0x00 0x01 0x00 0x00 0x8d 0x01 0x00 0x00 0x01 0x00 0x00 0x8e 0x01 0x00 0x00 0x01 0x00 0x00 0x8f 0x01 0x00 0x00 0x01 0x00 0x00 0x90 0x01 0x00 0x00 0x01 0x00 0x00 0x91 0x01 0x01 0x01 0x00 0x00 0x00 0x92 0x01 0x00 0x00 0x01 0x00 0x00 0x93 0x01 0x01 0x00 0x00 0x00 0x00 0x94 0x01 0x01 0x00 0x00 0x00 0x00 0x95 0x01 0x01 0x00 0x00 0x00 0x00 0x96 0x00 0x01 0x00 0x01 0x00 0x00 0x97 0x00 0x01 0x00 0x01 0x00 0x00 0x98 0x00 0x00 0x00 0x01 0x00 0x00 0x99 0x00 0x01 0x00 0x01 0x00 0x00 0x9a 0x00 0x01 0x00 0x01 0x00 0x00 0x9b 0x07 0x01 0x00 0x00 0x00 0x00 0x9c 0x07 0x00 0x00 0x01 0x00 0x00 0x9d 0x07 0x00 0x00 0x01 0x00 0x00 0x9e 0x07 0x00 0x00 0x01 0x00 0x00 0x9f 0x00 0x01 0x00 0x01 0x00 0x00 0xa0 0x00 0x00 0x00 0x01 0x00 0x00 0xa1 0x01 0x00 0x00 0x01 0x01 0x01 0xa2 0x01 0x00 0x00 0x01 0x01 0x01 0xa3 0x00 0x00 0x00 0x00 0x00 0x00 0xa4 0x00 0x00 0x00 0x00 0x00 0x00 0xa5 0x00 0x00 0x00 0x00 0x00 0x00 0xa6 0x00 0x00 0x00 0x00 0x00 0x00 0xa7 0x00 0x00 0x00 0x01 0x00 0x00 0xa8 0x00 0x00 0x00 0x01 0x00 0x00 0xa9 0x00 0x00 0x00 0x00 0x00 0x00 0xaa 0x00 0x00 0x00 0x01 0x00 0x00 0xab 0x00 0x00 0x00 0x01 0x00 0x00 0xac 0x00 0x01 0x00 0x00 0x00 0x00 0xad 0x00 0x01 0x00 0x00 0x00 0x00 0xae 0x00 0x01 0x01 0x00 0x00 0x00 0xaf 0x00 0x00 0x00 0x01 0x00 0x00 0xb0 0x00 0x00 0x00 0x01 0x00 0x00 0xb1 0x00 0x00 0x00 0x01 0x00 0x00 0xb2 0x00 0x00 0x00 0x00 0x00 0x00 0xb3 0x00 0x00 0x00 0x01 0x00 0x00>;
		};
	};

	fragment@45 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x00 0x02 0x00 0x00>;
			status = "okay";
		};
	};

	fragment@46 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x01 0x02 0x01 0x00>;
			status = "okay";
		};
	};

	fragment@47 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x02 0x08 0x02 0x00>;
			deb-gpios = <0xffffffff 0x02 0x00>;
			debounce = <0x7d000>;
			status = "okay";
		};
	};

	fragment@48 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x05 0x02 0x05 0x00>;
			status = "okay";
		};
	};

	fragment@49 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x0b 0x02 0x0b 0x00>;
			status = "okay";
		};
	};

	fragment@50 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x29 0x08 0x29 0x00>;
			deb-gpios = <0xffffffff 0x29 0x00>;
			debounce = <0x7d00>;
			status = "okay";
		};
	};

	fragment@51 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x2c 0x01 0x2c 0x01>;
			status = "okay";
		};
	};

	fragment@52 {
		target = <0xffffffff>;

		__overlay__ {
			interrupt-parent = <0xffffffff>;
			interrupts = <0x90 0x04 0x90 0x01>;
			status = "okay";
		};
	};

	fragment@53 {
		target = <0xffffffff>;

		__overlay__ {
			compatible = "mediatek,md1_sim1_hot_plug_eint-eint";
			interrupts = <0x00 0x08>;
			debounce = <0x00 0x2710>;
			dedicated = <0x00 0x00>;
			src_pin = <0x00 0x01>;
			sockettype = <0x00 0x00>;
			status = "okay";
		};
	};

	fragment@54 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-name = "vcama";
			regulator-default-on = <0x01>;
			status = "okay";
		};
	};

	fragment@55 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-name = "vsim1";
			regulator-default-on = <0x01>;
			status = "okay";
		};
	};

	fragment@56 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-name = "vsim2";
			regulator-default-on = <0x01>;
			status = "okay";
		};
	};

	fragment@57 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-name = "vcamd";
			regulator-default-on = <0x01>;
			status = "okay";
		};
	};

	fragment@58 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-name = "vcamio";
			regulator-default-on = <0x01>;
			status = "okay";
		};
	};

	fragment@59 {
		target = <0xffffffff>;

		__overlay__ {
			regulator-name = "vldo28";
			regulator-default-on = <0x01>;
			status = "okay";
		};
	};

	fragment@60 {
		target = <0xffffffff>;

		__overlay__ {
			vcama-supply = <0xffffffff>;
			vcama_sub-supply = <0xffffffff>;
			vcama_main2-supply = <0xffffffff>;
			vcama_main3-supply = <0xffffffff>;
			vcamd-supply = <0xffffffff>;
			vcamd_sub-supply = <0xffffffff>;
			vcamd_main2-supply = <0xffffffff>;
			vcamd_main3-supply = <0xffffffff>;
			vcamio-supply = <0xffffffff>;
			vcamio_sub-supply = <0xffffffff>;
			vcamio_main2-supply = <0xffffffff>;
			vcamio_main3-supply = <0xffffffff>;
			vcamaf-supply = <0xffffffff>;
			status = "okay";
		};
	};

	fragment@61 {
		target = <0xffffffff>;

		__overlay__ {
			vtouch-supply = <0xffffffff>;
			status = "okay";
		};
	};

	fragment@62 {
		target = <0xffffffff>;

		__overlay__ {
			mediatek,kpd-key-debounce = <0x400>;
			mediatek,kpd-sw-pwrkey = <0x74>;
			mediatek,kpd-hw-pwrkey = <0x08>;
			mediatek,kpd-sw-rstkey = <0x73>;
			mediatek,kpd-hw-rstkey = <0x11>;
			mediatek,kpd-use-extend-type = <0x00>;
			mediatek,kpd-hw-map-num = <0x48>;
			mediatek,kpd-hw-init-map = <0x00 0x72 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00>;
			mediatek,kpd-pwrkey-eint-gpio = <0x00>;
			mediatek,kpd-pwkey-gpio-din = <0x00>;
			mediatek,kpd-hw-dl-key0 = <0x11>;
			mediatek,kpd-hw-dl-key1 = <0x01>;
			mediatek,kpd-hw-dl-key2 = <0x08>;
			mediatek,kpd-hw-recovery-key = <0x11>;
			mediatek,kpd-hw-factory-key = <0x01>;
			status = "okay";
		};
	};

	fragment@63 {
		target = <0xffffffff>;

		__overlay__ {

			camera_pins_cam0_mclk_on {
				linux,phandle = <0x47>;
				phandle = <0x47>;

				pins_cmd_dat {
					pinmux = <0x6301>;
				};
			};

			camera_pins_cam0_mclk_off {
				linux,phandle = <0x48>;
				phandle = <0x48>;

				pins_cmd_dat {
					pinmux = <0x6300>;
				};
			};

			camera_pins_cam1_mclk_on {
				linux,phandle = <0x49>;
				phandle = <0x49>;

				pins_cmd_dat {
					pinmux = <0x6401>;
				};
			};

			camera_pins_cam1_mclk_off {
				linux,phandle = <0x4a>;
				phandle = <0x4a>;

				pins_cmd_dat {
					pinmux = <0x6400>;
				};
			};

			camera_pins_cam2_mclk_on {
				linux,phandle = <0x4b>;
				phandle = <0x4b>;

				pins_cmd_dat {
					pinmux = <0x5801>;
				};
			};

			camera_pins_cam2_mclk_off {
				linux,phandle = <0x4c>;
				phandle = <0x4c>;

				pins_cmd_dat {
					pinmux = <0x5800>;
				};
			};

			camera_pins_cam4_mclk_on {
				linux,phandle = <0x4d>;
				phandle = <0x4d>;

				pins_cmd_dat {
					pinmux = <0x6c01>;
				};
			};

			camera_pins_cam4_mclk_off {
				linux,phandle = <0x4e>;
				phandle = <0x4e>;

				pins_cmd_dat {
					pinmux = <0x6c00>;
				};
			};

			cam0@0 {
				linux,phandle = <0x2f>;
				phandle = <0x2f>;

				pins_cmd_dat {
					pinmux = <0x6500>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam0@1 {
				linux,phandle = <0x30>;
				phandle = <0x30>;

				pins_cmd_dat {
					pinmux = <0x6500>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam0@2 {
				linux,phandle = <0x31>;
				phandle = <0x31>;

				pins_cmd_dat {
					pinmux = <0x6100>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam0@3 {
				linux,phandle = <0x32>;
				phandle = <0x32>;

				pins_cmd_dat {
					pinmux = <0x6100>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam1@0 {
				linux,phandle = <0x33>;
				phandle = <0x33>;

				pins_cmd_dat {
					pinmux = <0x6600>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam1@1 {
				linux,phandle = <0x34>;
				phandle = <0x34>;

				pins_cmd_dat {
					pinmux = <0x6600>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam1@2 {
				linux,phandle = <0x35>;
				phandle = <0x35>;

				pins_cmd_dat {
					pinmux = <0x6200>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam1@3 {
				linux,phandle = <0x36>;
				phandle = <0x36>;

				pins_cmd_dat {
					pinmux = <0x6200>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam2@0 {
				linux,phandle = <0x37>;
				phandle = <0x37>;

				pins_cmd_dat {
					pinmux = <0x5700>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam2@1 {
				linux,phandle = <0x38>;
				phandle = <0x38>;

				pins_cmd_dat {
					pinmux = <0x5700>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam2@2 {
				linux,phandle = <0x39>;
				phandle = <0x39>;

				pins_cmd_dat {
					pinmux = <0xa000>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam2@3 {
				linux,phandle = <0x3a>;
				phandle = <0x3a>;

				pins_cmd_dat {
					pinmux = <0xa000>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam4@0 {
				linux,phandle = <0x3b>;
				phandle = <0x3b>;

				pins_cmd_dat {
					pinmux = <0x6d00>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam4@1 {
				linux,phandle = <0x3c>;
				phandle = <0x3c>;

				pins_cmd_dat {
					pinmux = <0x6d00>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam4@2 {
				linux,phandle = <0x3d>;
				phandle = <0x3d>;

				pins_cmd_dat {
					pinmux = <0x6b00>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam4@3 {
				linux,phandle = <0x3e>;
				phandle = <0x3e>;

				pins_cmd_dat {
					pinmux = <0x6b00>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam0@vcamd0 {
				linux,phandle = <0x40>;
				phandle = <0x40>;

				pins_cmd_dat {
					pinmux = <0x1500>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam0@vcamd1 {
				linux,phandle = <0x3f>;
				phandle = <0x3f>;

				pins_cmd_dat {
					pinmux = <0x1500>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam1@vcamd0 {
				linux,phandle = <0x42>;
				phandle = <0x42>;

				pins_cmd_dat {
					pinmux = <0x1800>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam1@vcama1 {
				linux,phandle = <0x41>;
				phandle = <0x41>;

				pins_cmd_dat {
					pinmux = <0x1800>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam2@vcama0 {
				linux,phandle = <0x44>;
				phandle = <0x44>;

				pins_cmd_dat {
					pinmux = <0x1800>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam2@vcama1 {
				linux,phandle = <0x43>;
				phandle = <0x43>;

				pins_cmd_dat {
					pinmux = <0x1800>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			cam2@vcamd0 {
				linux,phandle = <0x46>;
				phandle = <0x46>;

				pins_cmd_dat {
					pinmux = <0x1800>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			cam2@vcamd1 {
				linux,phandle = <0x45>;
				phandle = <0x45>;

				pins_cmd_dat {
					pinmux = <0x1800>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			camdefault {
				linux,phandle = <0x2e>;
				phandle = <0x2e>;
			};
		};
	};

	fragment@64 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-names = "default\0cam0_rst0\0cam0_rst1\0cam0_pnd0\0cam0_pnd1\0cam1_rst0\0cam1_rst1\0cam1_pnd0\0cam1_pnd1\0cam2_rst0\0cam2_rst1\0cam2_pnd0\0cam2_pnd1\0cam4_rst0\0cam4_rst1\0cam4_pnd0\0cam4_pnd1\0cam0_vcama_on\0cam0_vcama_off\0cam1_vcamd_on\0cam1_vcamd_off\0cam2_vcamd_on\0cam2_vcamd_off\0cam4_vcamd_on\0cam4_vcamd_off\0cam0_mclk_on\0cam0_mclk_off\0cam1_mclk_on\0cam1_mclk_off\0cam2_mclk_on\0cam2_mclk_off\0cam4_mclk_on\0cam4_mclk_off";
			pinctrl-0 = <0x2e>;
			pinctrl-1 = <0x2f>;
			pinctrl-2 = <0x30>;
			pinctrl-3 = <0x31>;
			pinctrl-4 = <0x32>;
			pinctrl-5 = <0x33>;
			pinctrl-6 = <0x34>;
			pinctrl-7 = <0x35>;
			pinctrl-8 = <0x36>;
			pinctrl-9 = <0x37>;
			pinctrl-10 = <0x38>;
			pinctrl-11 = <0x39>;
			pinctrl-12 = <0x3a>;
			pinctrl-13 = <0x3b>;
			pinctrl-14 = <0x3c>;
			pinctrl-15 = <0x3d>;
			pinctrl-16 = <0x3e>;
			pinctrl-17 = <0x3f>;
			pinctrl-18 = <0x40>;
			pinctrl-19 = <0x41>;
			pinctrl-20 = <0x42>;
			pinctrl-21 = <0x43>;
			pinctrl-22 = <0x44>;
			pinctrl-23 = <0x45>;
			pinctrl-24 = <0x46>;
			pinctrl-25 = <0x47>;
			pinctrl-26 = <0x48>;
			pinctrl-27 = <0x49>;
			pinctrl-28 = <0x4a>;
			pinctrl-29 = <0x4b>;
			pinctrl-30 = <0x4c>;
			pinctrl-31 = <0x4d>;
			pinctrl-32 = <0x4e>;
			status = "okay";
		};
	};

	fragment@65 {
		target = <0xffffffff>;

		__overlay__ {

			default {
				linux,phandle = <0x4f>;
				phandle = <0x4f>;
			};

			hwen_high {
				linux,phandle = <0x50>;
				phandle = <0x50>;

				pins_cmd_dat {
					pinmux = <0x9700>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			hwen_low {
				linux,phandle = <0x51>;
				phandle = <0x51>;

				pins_cmd_dat {
					pinmux = <0x9700>;
					slew-rate = <0x01>;
					output-low;
				};
			};

			strobe_high {
				linux,phandle = <0x52>;
				phandle = <0x52>;

				pins_cmd_dat {
					pinmux = <0x9600>;
					slew-rate = <0x01>;
					output-high;
				};
			};

			strobe_low {
				linux,phandle = <0x53>;
				phandle = <0x53>;

				pins_cmd_dat {
					pinmux = <0x9600>;
					slew-rate = <0x01>;
					output-low;
				};
			};
		};
	};

	fragment@66 {
		target = <0xffffffff>;

		__overlay__ {
			pinctrl-names = "default\0hwen_high\0hwen_low\0strobe_high\0strobe_low";
			pinctrl-0 = <0x4f>;
			pinctrl-1 = <0x50>;
			pinctrl-2 = <0x51>;
			pinctrl-3 = <0x52>;
			pinctrl-4 = <0x53>;
			status = "okay";
		};
	};

	fragment@67 {
		target = <0xffffffff>;

		__overlay__ {
			cam0_enable_sensor = "s5k3p9sxt_mipi_raw s5k3p9sx_mipi_raw blackjack_hlt_ov16a10_mipi_raw blackjack_tsp_ov16880_mipi_raw";
			cam1_enable_sensor = "gc8034_mipi_raw blackjack_txd_hi846_mipi_raw";
			cam2_enable_sensor = "gc2375_mipi_raw blackjack_tsp_gc2375_mipi_raw bj_tspgc2375_txd3p9_mipi_raw blackjack_sun_gc02m1b_mipi_raw bj_sun_gc02m1b_16880_mipi_raw blackjack_tsp_gc02m1b_mipi_raw blackjack_sun_gc02m1c_mipi_raw";
			cam4_enable_sensor = "blackjack_tsp_gc2375h_mipi_raw blackjack_jsl_gc2375h_mipi_raw blackjack_sea_mt9d015_mipi_raw";
			cam0_vcama-supply = <0xffffffff>;
			cam1_vcama-supply = <0xffffffff>;
			cam2_vcama-supply = <0xffffffff>;
			cam4_vcama-supply = <0xffffffff>;
			cam0_vcamd-supply = <0xffffffff>;
			cam1_vcamd-supply = <0xffffffff>;
			cam2_vcamd-supply = <0xffffffff>;
			cam4_vcamd-supply = <0xffffffff>;
			cam0_vcamio-supply = <0xffffffff>;
			cam1_vcamio-supply = <0xffffffff>;
			cam2_vcamio-supply = <0xffffffff>;
			cam4_vcamio-supply = <0xffffffff>;
			cam0_vcamaf-supply = <0xffffffff>;
			status = "okay";
		};
	};

	__symbols__ {
		led0 = "/fragment@1/__overlay__/led@0";
		led1 = "/fragment@1/__overlay__/led@1";
		led2 = "/fragment@1/__overlay__/led@2";
		led3 = "/fragment@1/__overlay__/led@3";
		led4 = "/fragment@1/__overlay__/led@4";
		led5 = "/fragment@1/__overlay__/led@5";
		led6 = "/fragment@1/__overlay__/led@6";
		vibrator0 = "/fragment@1/__overlay__/vibrator@0";
		focaltech_touch_mtk = "/fragment@4/__overlay__/focaltech_touch@38";
		ilitek_touch_mtk = "/fragment@4/__overlay__/ilitek_touch@41";
		ili9881x_touch = "/fragment@4/__overlay__/ili9881x_touch@42";
		chipone_tddi_mtk = "/fragment@4/__overlay__/chipone_touch@48";
		ctp_pins_default = "/fragment@6/__overlay__/eint0default";
		ctp_pins_eint_as_int = "/fragment@6/__overlay__/eint@0";
		ctp_pins_eint_output0 = "/fragment@6/__overlay__/eintoutput0";
		ctp_pins_eint_output1 = "/fragment@6/__overlay__/eintoutput1";
		ctp_pins_rst_output0 = "/fragment@6/__overlay__/rstoutput0";
		ctp_pins_rst_output1 = "/fragment@6/__overlay__/rstoutput1";
		mtkfb_pins_mode_te_gpio = "/fragment@8/__overlay__/mode_te_gpio";
		mtkfb_pins_mode_te_te = "/fragment@8/__overlay__/mode_te_te";
		mtkfb_pins_lcm_reset0 = "/fragment@8/__overlay__/lcm_rst_out0_gpio";
		mtkfb_pins_lcm_reset1 = "/fragment@8/__overlay__/lcm_rst_out1_gpio";
		mtkfb_pins_lcd_bias_enp0 = "/fragment@8/__overlay__/lcd_bias_enp0_gpio";
		mtkfb_pins_lcd_bias_enp1 = "/fragment@8/__overlay__/lcd_bias_enp1_gpio";
		mtkfb_pins_lcd_bias_enn0 = "/fragment@8/__overlay__/lcd_bias_enn0_gpio";
		mtkfb_pins_lcd_bias_enn1 = "/fragment@8/__overlay__/lcd_bias_enn1_gpio";
		consys_pins_default = "/fragment@10/__overlay__/consys_default";
		gpslna_pins_init = "/fragment@10/__overlay__/gpslna@0";
		gpslna_pins_oh = "/fragment@10/__overlay__/gpslna@1";
		gpslna_pins_ol = "/fragment@10/__overlay__/gpslna@2";
		accdet_pins_default = "/fragment@13/__overlay__/accdetdefault";
		accdet_pins_eint_as_int = "/fragment@13/__overlay__/accdeteint@0";
		red_led_default = "/fragment@15/__overlay__/led_default";
		red_led_pull_down = "/fragment@15/__overlay__/led_output0";
		red_led_pull_up = "/fragment@15/__overlay__/led_output1";
		fpsensor_spi_default = "/fragment@17/__overlay__/fpsensor_spi_default";
		fpsensor_spi_cs_en0 = "/fragment@17/__overlay__/fpsensor_spi_cs_low";
		fpsensor_spi_cs_en1 = "/fragment@17/__overlay__/fpsensor_spi_cs_high";
		fpsensor_spi_mi_mode_en0 = "/fragment@17/__overlay__/fpsensor_spi_mi_low";
		fpsensor_spi_mi_mode_en1 = "/fragment@17/__overlay__/fpsensor_spi_mi_high";
		fpsensor_spi_mo_mode_en0 = "/fragment@17/__overlay__/fpsensor_spi_mo_low";
		fpsensor_spi_mo_mode_en1 = "/fragment@17/__overlay__/fpsensor_spi_mo_high";
		fpsensor_spi_mclk_mode_en0 = "/fragment@17/__overlay__/fpsensor_spi_mclk_low";
		fpsensor_spi_mclk_mode_en1 = "/fragment@17/__overlay__/fpsensor_spi_mclk_high";
		fpsensor_finger_rst_mode_en0 = "/fragment@17/__overlay__/fpsensor_finger_rst_low";
		fpsensor_finger_rst_mode_en1 = "/fragment@17/__overlay__/fpsensor_finger_rst_high";
		fpsensor_finger_power_en0 = "/fragment@17/__overlay__/fpsensor_finger_power_low";
		fpsensor_finger_power_en1 = "/fragment@17/__overlay__/fpsensor_finger_power_high";
		fpsensor_fp_eint_as_int = "/fragment@17/__overlay__/fpsensor_eint_as_int";
		fpsensor_fp_eint_in_low = "/fragment@17/__overlay__/fpsensor_eint_in_low";
		fpsensor_fp_eint_in_float = "/fragment@17/__overlay__/fpsensor_eint_in_float";
		fpsensor_finger_cs_mode_en0 = "/fragment@17/__overlay__/fpsensor_finger_cs_low";
		fpsensor_finger_cs_mode_en1 = "/fragment@17/__overlay__/fpsensor_finger_cs_high";
		irtx_gpio_led_default = "/fragment@20/__overlay__/irtx_gpio_led_def@gpio90";
		irtx_gpio_led_set = "/fragment@20/__overlay__/irtx_gpio_led_set@gpio90";
		aud_extamp_gpio_low = "/fragment@23/__overlay__/aud_extamp_gpio_low";
		aud_extamp_gpio_high = "/fragment@23/__overlay__/aud_extamp_gpio_high";
		sar_mtk = "/fragment@34/__overlay__/sar@28";
		alsps_mtk = "/fragment@34/__overlay__/alsps@46";
		camera_main_eeprom_mtk = "/fragment@35/__overlay__/camera_main_eeprom@1f";
		camera_main_mtk = "/fragment@35/__overlay__/camera_main@20";
		camera_main_af_mtk = "/fragment@35/__overlay__/camera_main_af@18";
		camera_sub_mtk = "/fragment@37/__overlay__/camera_sub@50";
		camera_main_two_mtk = "/fragment@37/__overlay__/camera_main_two@2e";
		camera_main_three_mtk = "/fragment@37/__overlay__/camera_main_three@2e";
		camera_main_three_eeprom_mtk = "/fragment@37/__overlay__/camera_main_three_eeprom@52";
		camera_sub_eeprom_mtk = "/fragment@37/__overlay__/camera_sub_eeprom@10";
		camera_main_three_af_mtk = "/fragment@37/__overlay__/camera_main_three_af@1c";
		strobe_main_mtk = "/fragment@39/__overlay__/strobe_main@63";
		camera_pins_cam0_mclk_on = "/fragment@63/__overlay__/camera_pins_cam0_mclk_on";
		camera_pins_cam0_mclk_off = "/fragment@63/__overlay__/camera_pins_cam0_mclk_off";
		camera_pins_cam1_mclk_on = "/fragment@63/__overlay__/camera_pins_cam1_mclk_on";
		camera_pins_cam1_mclk_off = "/fragment@63/__overlay__/camera_pins_cam1_mclk_off";
		camera_pins_cam2_mclk_on = "/fragment@63/__overlay__/camera_pins_cam2_mclk_on";
		camera_pins_cam2_mclk_off = "/fragment@63/__overlay__/camera_pins_cam2_mclk_off";
		camera_pins_cam4_mclk_on = "/fragment@63/__overlay__/camera_pins_cam4_mclk_on";
		camera_pins_cam4_mclk_off = "/fragment@63/__overlay__/camera_pins_cam4_mclk_off";
		camera_pins_cam0_rst0 = "/fragment@63/__overlay__/cam0@0";
		camera_pins_cam0_rst1 = "/fragment@63/__overlay__/cam0@1";
		camera_pins_cam0_pnd0 = "/fragment@63/__overlay__/cam0@2";
		camera_pins_cam0_pnd1 = "/fragment@63/__overlay__/cam0@3";
		camera_pins_cam1_rst0 = "/fragment@63/__overlay__/cam1@0";
		camera_pins_cam1_rst1 = "/fragment@63/__overlay__/cam1@1";
		camera_pins_cam1_pnd0 = "/fragment@63/__overlay__/cam1@2";
		camera_pins_cam1_pnd1 = "/fragment@63/__overlay__/cam1@3";
		camera_pins_cam2_rst0 = "/fragment@63/__overlay__/cam2@0";
		camera_pins_cam2_rst1 = "/fragment@63/__overlay__/cam2@1";
		camera_pins_cam2_pnd0 = "/fragment@63/__overlay__/cam2@2";
		camera_pins_cam2_pnd1 = "/fragment@63/__overlay__/cam2@3";
		camera_pins_cam4_rst0 = "/fragment@63/__overlay__/cam4@0";
		camera_pins_cam4_rst1 = "/fragment@63/__overlay__/cam4@1";
		camera_pins_cam4_pnd0 = "/fragment@63/__overlay__/cam4@2";
		camera_pins_cam4_pnd1 = "/fragment@63/__overlay__/cam4@3";
		camera_pins_cam_ldo_rear_vcama_0 = "/fragment@63/__overlay__/cam0@vcamd0";
		camera_pins_cam_ldo_rear_vcama_1 = "/fragment@63/__overlay__/cam0@vcamd1";
		camera_pins_cam_ldo_sub_vcamd_0 = "/fragment@63/__overlay__/cam1@vcamd0";
		camera_pins_cam_ldo_sub_vcamd_1 = "/fragment@63/__overlay__/cam1@vcama1";
		camera_pins_cam_ldo_rear2_vcamd_0 = "/fragment@63/__overlay__/cam2@vcama0";
		camera_pins_cam_ldo_rear2_vcamd_1 = "/fragment@63/__overlay__/cam2@vcama1";
		camera_pins_cam_ldo_rear3_vcamd_0 = "/fragment@63/__overlay__/cam2@vcamd0";
		camera_pins_cam_ldo_rear3_vcamd_1 = "/fragment@63/__overlay__/cam2@vcamd1";
		camera_pins_default = "/fragment@63/__overlay__/camdefault";
		flashlight_pin_default = "/fragment@65/__overlay__/default";
		flashlight_pin_hwen_high = "/fragment@65/__overlay__/hwen_high";
		flashlight_pin_hwen_low = "/fragment@65/__overlay__/hwen_low";
		flashlight_pin_strobe_high = "/fragment@65/__overlay__/strobe_high";
		flashlight_pin_strobe_low = "/fragment@65/__overlay__/strobe_low";
	};

	__fixups__ {
		chosen = "/fragment@0:target:0";
		odm = "/fragment@1:target:0";
		i2c3 = "/fragment@2:target:0\0/fragment@36:target:0";
		i2c6 = "/fragment@3:target:0\0/fragment@7:target:0\0/fragment@39:target:0";
		i2c0 = "/fragment@4:target:0\0/fragment@33:target:0";
		touch = "/fragment@5:target:0\0/fragment@45:target:0\0/fragment@61:target:0";
		pio = "/fragment@6:target:0\0/fragment@8:target:0\0/fragment@10:target:0\0/fragment@13:target:0\0/fragment@15:target:0\0/fragment@17:target:0\0/fragment@20:target:0\0/fragment@23:target:0\0/fragment@24/__overlay__:mt6370,intr_gpio:0\0/fragment@25/__overlay__:mt6370pd,intr_gpio:0\0/fragment@34/__overlay__/sar@28:interrupt-parent:0\0/fragment@34/__overlay__/alsps@46:interrupt-parent:0\0/fragment@43/__overlay__:GPIO_SIM2_SIO:0\0/fragment@43/__overlay__:GPIO_SIM2_SRST:0\0/fragment@43/__overlay__:GPIO_SIM2_SCLK:0\0/fragment@43/__overlay__:GPIO_SIM1_SCLK:0\0/fragment@43/__overlay__:GPIO_SIM1_SRST:0\0/fragment@43/__overlay__:GPIO_SIM1_SIO:0\0/fragment@43/__overlay__:GPIO_SIM1_HOT_PLUG:0\0/fragment@45/__overlay__:interrupt-parent:0\0/fragment@46/__overlay__:interrupt-parent:0\0/fragment@47/__overlay__:interrupt-parent:0\0/fragment@47/__overlay__:deb-gpios:0\0/fragment@48/__overlay__:interrupt-parent:0\0/fragment@49/__overlay__:interrupt-parent:0\0/fragment@50/__overlay__:interrupt-parent:0\0/fragment@50/__overlay__:deb-gpios:0\0/fragment@51/__overlay__:interrupt-parent:0\0/fragment@52/__overlay__:interrupt-parent:0\0/fragment@63:target:0\0/fragment@65:target:0";
		mtkfb = "/fragment@9:target:0";
		consys = "/fragment@11:target:0";
		accdet = "/fragment@12:target:0";
		led_simple = "/fragment@14:target:0";
		spi0 = "/fragment@16:target:0";
		fingerprint_fpsensor = "/fragment@18:target:0\0/fragment@48:target:0";
		irtx_pwm = "/fragment@19:target:0";
		audgpio = "/fragment@21:target:0";
		i2c5 = "/fragment@22:target:0\0/fragment@38:target:0";
		mt6370_pmu = "/fragment@24:target:0";
		mt6370_typec = "/fragment@25:target:0";
		usb_phy_tuning = "/fragment@26:target:0";
		charger = "/fragment@27:target:0";
		bat_gm30 = "/fragment@28:target:0\0/fragment@29:target:0\0/fragment@30:target:0";
		auxadc = "/fragment@31:target:0";
		pmic_clock_buffer_ctrl = "/fragment@32:target:0";
		i2c1 = "/fragment@34:target:0";
		i2c2 = "/fragment@35:target:0";
		i2c4 = "/fragment@37:target:0";
		i2c7 = "/fragment@40:target:0";
		i2c8 = "/fragment@41:target:0";
		i2c9 = "/fragment@42:target:0";
		gpio_usage_mapping = "/fragment@43:target:0";
		gpio = "/fragment@44:target:0";
		msdc1_ins = "/fragment@46:target:0";
		mrdump_ext_rst = "/fragment@47:target:0";
		subpmic_pmu_eint = "/fragment@49:target:0";
		otg_iddig = "/fragment@50:target:0";
		dsi_te = "/fragment@51:target:0";
		main_pmic = "/fragment@52:target:0";
		md1_sim1_hot_plug_eint = "/fragment@53:target:0";
		mt_pmic_vcama_ldo_reg = "/fragment@54:target:0\0/fragment@60/__overlay__:vcama-supply:0\0/fragment@60/__overlay__:vcama_sub-supply:0\0/fragment@60/__overlay__:vcama_main2-supply:0\0/fragment@60/__overlay__:vcama_main3-supply:0\0/fragment@67/__overlay__:cam0_vcama-supply:0\0/fragment@67/__overlay__:cam1_vcama-supply:0\0/fragment@67/__overlay__:cam2_vcama-supply:0\0/fragment@67/__overlay__:cam4_vcama-supply:0";
		mt_pmic_vsim1_ldo_reg = "/fragment@55:target:0";
		mt_pmic_vsim2_ldo_reg = "/fragment@56:target:0";
		mt_pmic_vcamd_ldo_reg = "/fragment@57:target:0\0/fragment@60/__overlay__:vcamd-supply:0\0/fragment@60/__overlay__:vcamd_sub-supply:0\0/fragment@60/__overlay__:vcamd_main2-supply:0\0/fragment@60/__overlay__:vcamd_main3-supply:0\0/fragment@67/__overlay__:cam0_vcamd-supply:0\0/fragment@67/__overlay__:cam1_vcamd-supply:0\0/fragment@67/__overlay__:cam2_vcamd-supply:0\0/fragment@67/__overlay__:cam4_vcamd-supply:0";
		mt_pmic_vcamio_ldo_reg = "/fragment@58:target:0\0/fragment@60/__overlay__:vcamio-supply:0\0/fragment@60/__overlay__:vcamio_sub-supply:0\0/fragment@60/__overlay__:vcamio_main2-supply:0\0/fragment@60/__overlay__:vcamio_main3-supply:0\0/fragment@67/__overlay__:cam0_vcamio-supply:0\0/fragment@67/__overlay__:cam1_vcamio-supply:0\0/fragment@67/__overlay__:cam2_vcamio-supply:0\0/fragment@67/__overlay__:cam4_vcamio-supply:0";
		mt_pmic_vldo28_ldo_reg = "/fragment@59:target:0\0/fragment@60/__overlay__:vcamaf-supply:0\0/fragment@61/__overlay__:vtouch-supply:0\0/fragment@67/__overlay__:cam0_vcamaf-supply:0";
		kd_camera_hw1 = "/fragment@60:target:0\0/fragment@64:target:0\0/fragment@67:target:0";
		keypad = "/fragment@62:target:0";
		flashlights_aw3643 = "/fragment@66:target:0";
	};

	__local_fixups__ {

		fragment@5 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
				pinctrl-2 = <0x00>;
				pinctrl-3 = <0x00>;
				pinctrl-4 = <0x00>;
				pinctrl-5 = <0x00>;
			};
		};

		fragment@9 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
				pinctrl-2 = <0x00>;
				pinctrl-3 = <0x00>;
				pinctrl-4 = <0x00>;
				pinctrl-5 = <0x00>;
				pinctrl-6 = <0x00>;
				pinctrl-7 = <0x00>;
			};
		};

		fragment@11 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
				pinctrl-2 = <0x00>;
				pinctrl-3 = <0x00>;
			};
		};

		fragment@12 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
			};
		};

		fragment@14 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
				pinctrl-2 = <0x00>;
			};
		};

		fragment@18 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
				pinctrl-2 = <0x00>;
				pinctrl-3 = <0x00>;
				pinctrl-4 = <0x00>;
				pinctrl-5 = <0x00>;
				pinctrl-6 = <0x00>;
				pinctrl-7 = <0x00>;
				pinctrl-8 = <0x00>;
				pinctrl-9 = <0x00>;
				pinctrl-10 = <0x00>;
				pinctrl-11 = <0x00>;
				pinctrl-12 = <0x00>;
				pinctrl-13 = <0x00>;
				pinctrl-14 = <0x00>;
				pinctrl-15 = <0x00>;
				pinctrl-16 = <0x00>;
				pinctrl-17 = <0x00>;
			};
		};

		fragment@19 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
			};
		};

		fragment@21 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
			};
		};

		fragment@64 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
				pinctrl-2 = <0x00>;
				pinctrl-3 = <0x00>;
				pinctrl-4 = <0x00>;
				pinctrl-5 = <0x00>;
				pinctrl-6 = <0x00>;
				pinctrl-7 = <0x00>;
				pinctrl-8 = <0x00>;
				pinctrl-9 = <0x00>;
				pinctrl-10 = <0x00>;
				pinctrl-11 = <0x00>;
				pinctrl-12 = <0x00>;
				pinctrl-13 = <0x00>;
				pinctrl-14 = <0x00>;
				pinctrl-15 = <0x00>;
				pinctrl-16 = <0x00>;
				pinctrl-17 = <0x00>;
				pinctrl-18 = <0x00>;
				pinctrl-19 = <0x00>;
				pinctrl-20 = <0x00>;
				pinctrl-21 = <0x00>;
				pinctrl-22 = <0x00>;
				pinctrl-23 = <0x00>;
				pinctrl-24 = <0x00>;
				pinctrl-25 = <0x00>;
				pinctrl-26 = <0x00>;
				pinctrl-27 = <0x00>;
				pinctrl-28 = <0x00>;
				pinctrl-29 = <0x00>;
				pinctrl-30 = <0x00>;
				pinctrl-31 = <0x00>;
				pinctrl-32 = <0x00>;
			};
		};

		fragment@66 {

			__overlay__ {
				pinctrl-0 = <0x00>;
				pinctrl-1 = <0x00>;
				pinctrl-2 = <0x00>;
				pinctrl-3 = <0x00>;
				pinctrl-4 = <0x00>;
			};
		};
	};
};
